GNU bug report logs - #29033
new snapshot available: gzip-1.8.32-4606

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: Jim Meyering <jim@HIDDEN>; dated Fri, 27 Oct 2017 22:01:02 UTC; Maintainer for gzip is bug-gzip@HIDDEN.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 11 Nov 2017 23:54:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 11 18:54:26 2017
Received: from localhost ([127.0.0.1]:35816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eDfbW-00044s-L2
	for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 18:54:26 -0500
Received: from mo4-p00-ob.smtp.rzone.de ([81.169.146.162]:20223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1eDfbU-00044k-OL
 for 29033 <at> debbugs.gnu.org; Sat, 11 Nov 2017 18:54:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1510444463;
 s=domk; d=clisp.org;
 h=Content-Type:Content-Transfer-Encoding:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=1gPZTFu2gSncTzSQH9NsNxuasfx+JQSQee5zl9fTcLo=;
 b=UQY1jJK4JYeAqQsQUVfa4HXGm59LRVlQlUox1z42GsNr4VPfY43vaZjQajLsWP7s0M
 RdurLbdeq+B5FcZJ89JrOf0wF4p6llkXEtz8jSt6sNpOV/zb/UP3vNCnRZ9QKgEBLDw6
 G9msix/NeIzDrObkrKFHg3cYi3OIrFZss9y9o=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOHqfxyvs=
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-032-047.088.068.pools.vodafone-ip.de [88.68.32.47])
 by smtp.strato.de (RZmta 42.9 DYNA|AUTH)
 with ESMTPSA id 20af8dtABNsNg9g
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sun, 12 Nov 2017 00:54:23 +0100 (CET)
From: Bruno Haible <bruno@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
Date: Sun, 12 Nov 2017 00:54:22 +0100
Message-ID: <1713580.ihl3VCcZkU@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-98-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <0e0986e6-c3de-8276-cca3-447bb3af792f@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <2866687.D9ZRjK55A4@omega>
 <0e0986e6-c3de-8276-cca3-447bb3af792f@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org, Jim Meyering <jim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Paul Eggert wrote:
> > On GNU/Hurd (with touch 8.26 and glibc 2.24) the 'timestamp' test fails.
> 
> Thanks for reporting that. I installed the attached, which I hope fixes it.

As reported in https://lists.gnu.org/archive/html/bug-gzip/2017-11/msg00014.html
this change indeed fixes the failure on Hurd/i386.

Bruno





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 11 Nov 2017 23:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 11 18:51:42 2017
Received: from localhost ([127.0.0.1]:35812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eDfYs-00040k-7g
	for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 18:51:42 -0500
Received: from mo4-p00-ob.smtp.rzone.de ([81.169.146.218]:20652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1eDfYp-00040b-VT
 for 29033 <at> debbugs.gnu.org; Sat, 11 Nov 2017 18:51:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1510444298;
 s=domk; d=clisp.org;
 h=Content-Type:Content-Transfer-Encoding:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=XXzkrnZYYvqsZYxOYnKxJ256tquwoHFmT5C6hhV6MNc=;
 b=gTQl5ueaqAr2KHqC3GpQoHaHNl3j4W2diReTgzCXwjra/aEIcfXLFMben3dasrzDYp
 KK1iDhEjVrNpDNzeIPEbdtd++zGvVq4oj6T6WjPRe7OTBO8VnHJCexqYhD8MleE2TbLo
 QeY+tK9UYMRXu8i48+eRW8twfyCA2uf2M7phI=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOHqfxyvs=
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-032-047.088.068.pools.vodafone-ip.de [88.68.32.47])
 by smtp.strato.de (RZmta 42.9 DYNA|AUTH)
 with ESMTPSA id 20af8dtABNpbg9C
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sun, 12 Nov 2017 00:51:37 +0100 (CET)
From: Bruno Haible <bruno@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606: unpack-valid on FreeBSD
Date: Sun, 12 Nov 2017 00:51:37 +0100
Message-ID: <2074938.Hig2SEmThU@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-98-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <4d53ddfc-fbac-a9c3-9241-f4fb2d0ace49@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <3147087.D8kWGdm2hi@omega>
 <4d53ddfc-fbac-a9c3-9241-f4fb2d0ace49@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org, Jim Meyering <jim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> > On FreeBSD 11/x86 (32-bit) there are 3 test failures.
> 
> Two of the three we've already discussed. In the third one, apparently this sort 
> of /bin/sh script:
> 
> #!/bin/sh
> exec printf '%s\n' "a long string"
> 
> improperly exits with status 0 when standard output is /dev/full.

In the newest gzip git, the 'unpack-valid' test now succeeds on
FreeBSD 11/x86 (32-bit), as well as on all other platforms that I have tested.
Probably due to Jim's 2 fixes.

Bruno





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 11 Nov 2017 07:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 11 02:26:12 2017
Received: from localhost ([127.0.0.1]:34637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eDQB9-000482-CA
	for submit <at> debbugs.gnu.org; Sat, 11 Nov 2017 02:26:12 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eDQB7-00047n-RO
 for 29033 <at> debbugs.gnu.org; Sat, 11 Nov 2017 02:26:10 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id A34221610E7;
 Fri, 10 Nov 2017 23:26:02 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id hjqweO3dX9RK; Fri, 10 Nov 2017 23:26:02 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 020E71610EA;
 Fri, 10 Nov 2017 23:26:02 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id EPGMdWDEnAzB; Fri, 10 Nov 2017 23:26:01 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id C85AE1610E7;
 Fri, 10 Nov 2017 23:26:01 -0800 (PST)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
From: Paul Eggert <eggert@HIDDEN>
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <22527680.VypvAIlWnn@omega>
 <acdf24bb-e4e1-9b35-adc5-ad04e05ea642@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <27b267f5-5ec4-ccaf-5478-06ac2d515390@HIDDEN>
Date: Fri, 10 Nov 2017 23:26:01 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <acdf24bb-e4e1-9b35-adc5-ad04e05ea642@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org, Gnulib bugs <bug-gnulib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Paul Eggert wrote:
> Instead of suppressing the test, how about if we tell builders not to b=
uild with=20
> -m32 on platforms supporting 64-bit time_t?
No further comment, and it seems like a good idea regardless of the test =
failure=20
since the year 2038 will arrive sooner than we'd like, so I installed the=
 patch=20
into Gnulib and synced it into gzip.




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 8 Nov 2017 05:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 08 00:04:13 2017
Received: from localhost ([127.0.0.1]:57422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eCIX7-0007ZW-4O
	for submit <at> debbugs.gnu.org; Wed, 08 Nov 2017 00:04:13 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:60214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eCIX3-0007ZH-4g
 for 29033 <at> debbugs.gnu.org; Wed, 08 Nov 2017 00:04:09 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 53A65161074;
 Tue,  7 Nov 2017 21:04:03 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id gPw0-76HEDYg; Tue,  7 Nov 2017 21:04:02 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4C2F9161075;
 Tue,  7 Nov 2017 21:04:02 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id NMtED-Qv2qdS; Tue,  7 Nov 2017 21:04:02 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 240F3161074;
 Tue,  7 Nov 2017 21:04:02 -0800 (PST)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <2866687.D9ZRjK55A4@omega>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <0e0986e6-c3de-8276-cca3-447bb3af792f@HIDDEN>
Date: Tue, 7 Nov 2017 21:04:01 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <2866687.D9ZRjK55A4@omega>
Content-Type: multipart/mixed; boundary="------------C2EF5F5457B9CA42186D0842"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------C2EF5F5457B9CA42186D0842
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Bruno Haible wrote:
> On GNU/Hurd (with touch 8.26 and glibc 2.24) the 'timestamp' test fails.

Thanks for reporting that. I installed the attached, which I hope fixes it.

--------------C2EF5F5457B9CA42186D0842
Content-Type: text/x-patch;
 name="0001-gzip-diagnose-out-of-range-MTIME.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-gzip-diagnose-out-of-range-MTIME.patch"

From 5b2fe53044217558da419a6ca384a61011ae293e Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Tue, 7 Nov 2017 21:01:13 -0800
Subject: [PATCH] gzip: diagnose out-of-range MTIME

This seems to be the problem reported by Bruno Haible for GNU/Hurd
i386 with touch 8.26 and glibc 2.24 (Bug#29033#20).
* NEWS: Document this.
* gzip.c (get_method): If MTIME is out of range for
this platform, warn and substitute the nearest in-range
value, instead of silently ignoring it.
(do_list): Remove no-longer-needed test for unknown time stamp.
---
 NEWS   | 12 ++++++++----
 gzip.c | 31 +++++++++++++++++++++----------
 2 files changed, 29 insertions(+), 14 deletions(-)

diff --git a/NEWS b/NEWS
index 2b7a168..34eae0d 100644
--- a/NEWS
+++ b/NEWS
@@ -13,10 +13,14 @@ GNU gzip NEWS                                    -*- outline -*-
   When decompressing data in 'pack' format, gzip no longer mishandles
   leading zeros in the end-of-block code.  [bug introduced in gzip-1.6]
 
-  When converting timestamps to gzip file format (32-bit unsigned) or
-  to time_t format (system-dependent), gzip now ignores out-of-range
-  values instead of shoehorning them into the destination format,
-  sometimes with undefined behavior.  This affects timestamps before
+  When converting from system-dependent time_t format to the 32-bit
+  unsigned MTIME format used in gzip files, if a timestamp does not
+  fit gzip now substitutes zero instead of the timestamp's low-order
+  32 bits, as per Internet RFC 1952.  When converting from MTIME to
+  time_t format, if a timestamp does not fit gzip now warns and
+  substitutes the nearest in-range value instead of crashing or
+  silently substituting an implementation-defined value (typically,
+  the timestamp's low-order bits).  This affects timestamps before
   1970 and after 2106, and timestamps after 2038 on platforms with
   32-bit signed time_t.  [bug present since the beginning]
 
diff --git a/gzip.c b/gzip.c
index cfc4fe3..637b791 100644
--- a/gzip.c
+++ b/gzip.c
@@ -195,10 +195,12 @@ static char *env;            /* contents of GZIP env variable */
 static char const *z_suffix; /* default suffix (can be set with --suffix) */
 static size_t z_len;         /* strlen(z_suffix) */
 
-/* The original timestamp (modification time).  Its tv_nsec component
-   is negative if the original time is unknown or is out of time_t
-   range; the latter can happen on hosts with 32-bit signed time_t
-   because the gzip format's MTIME is 32-bit unsigned.  */
+/* The original timestamp (modification time).  If the original is
+   unknown, TIME_STAMP.tv_nsec is negative.  If the original is
+   greater than struct timespec range, TIME_STAMP is the maximal
+   struct timespec value; this can happen on hosts with 32-bit signed
+   time_t because the gzip format's MTIME is 32-bit unsigned.
+   The original cannot be less than struct timespec range.  */
 struct timespec time_stamp;
 
 /* The set of signals that are caught.  */
@@ -1546,10 +1548,21 @@ local int get_method(in)
         stamp |= ((ulg)get_byte()) << 8;
         stamp |= ((ulg)get_byte()) << 16;
         stamp |= ((ulg)get_byte()) << 24;
-        if (!no_time && 0 < stamp && stamp <= TYPE_MAXIMUM (time_t))
+        if (stamp != 0 && !no_time)
           {
-            time_stamp.tv_sec = stamp;
-            time_stamp.tv_nsec = 0;
+            if (stamp <= TYPE_MAXIMUM (time_t))
+              {
+                time_stamp.tv_sec = stamp;
+                time_stamp.tv_nsec = 0;
+              }
+            else
+              {
+                WARN ((stderr,
+                       "%s: %s: MTIME %lu out of range for this platform\n",
+                       program_name, ifname, stamp));
+                time_stamp.tv_sec = TYPE_MAXIMUM (time_t);
+                time_stamp.tv_nsec = TIMESPEC_RESOLUTION - 1;
+              }
           }
 
         magic[8] = get_byte ();  /* Ignore extra flags.  */
@@ -1778,9 +1791,7 @@ local void do_list(ifd, method)
         static char const month_abbr[][4]
           = { "Jan", "Feb", "Mar", "Apr", "May", "Jun",
               "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" };
-        struct tm *tm = (time_stamp.tv_nsec < 0
-                         ? NULL
-                         : localtime (&time_stamp.tv_sec));
+        struct tm *tm = localtime (&time_stamp.tv_sec);
         printf ("%5s %08lx ", methods[method], crc);
         if (tm)
           printf ("%s%3d %02d:%02d ", month_abbr[tm->tm_mon],
-- 
2.13.6


--------------C2EF5F5457B9CA42186D0842--




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 7 Nov 2017 15:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 07 10:46:44 2017
Received: from localhost ([127.0.0.1]:56731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eC65M-0004pZ-K0
	for submit <at> debbugs.gnu.org; Tue, 07 Nov 2017 10:46:44 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:57504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eC65K-0004pL-8X
 for 29033 <at> debbugs.gnu.org; Tue, 07 Nov 2017 10:46:42 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5BA7D16106A;
 Tue,  7 Nov 2017 07:46:36 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id eHIjSr7tUqGW; Tue,  7 Nov 2017 07:46:35 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5A94C16106D;
 Tue,  7 Nov 2017 07:46:35 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id ClRdLvkkmEmg; Tue,  7 Nov 2017 07:46:35 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 41198161069;
 Tue,  7 Nov 2017 07:46:35 -0800 (PST)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
From: Paul Eggert <eggert@HIDDEN>
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <2605006.03gepixJSe@omega>
 <d03b1584-c0d3-60dd-8b1f-2ef5a51496f7@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <d3a3e721-c000-4ee3-eec9-db3000d6bc2b@HIDDEN>
Date: Tue, 7 Nov 2017 07:46:32 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <d03b1584-c0d3-60dd-8b1f-2ef5a51496f7@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 11/07/2017 12:05 AM, Paul Eggert wrote:
> Bruno Haible wrote:
>> On OpenBSD 6.0/x86 (32-bit) there is 1 test failure.
> > ...
>> touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
>> gzip: in: warning: file timestamp out of range for gzip format
>> gzip: in: warning: file timestamp out of range for gzip format
>> gzip: in: warning: file timestamp out of range for gzip format
>> gzip: in: warning: file timestamp out of range for gzip format
>> FAIL timestamp (exit status: 1)
>
> I'm having a bit of trouble figuring out what happened. Perhaps put 
> "set -x" into the script, so that we can get a trace?

On second thought, never mind, this is probably the printf issue that 
Jim already fixed:

http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=89fce1562e54a4198bf15ba1daf241fb9460474a





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 7 Nov 2017 08:05:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 07 03:05:57 2017
Received: from localhost ([127.0.0.1]:55109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eBytR-00080P-CF
	for submit <at> debbugs.gnu.org; Tue, 07 Nov 2017 03:05:57 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eBytQ-00080D-5T
 for 29033 <at> debbugs.gnu.org; Tue, 07 Nov 2017 03:05:56 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 71A521600D4;
 Tue,  7 Nov 2017 00:05:49 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id Dk__XmaJfU1L; Tue,  7 Nov 2017 00:05:48 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 86F4B160856;
 Tue,  7 Nov 2017 00:05:48 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id HbI02pzCrrnm; Tue,  7 Nov 2017 00:05:48 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 632E41600D4;
 Tue,  7 Nov 2017 00:05:48 -0800 (PST)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <2605006.03gepixJSe@omega>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <d03b1584-c0d3-60dd-8b1f-2ef5a51496f7@HIDDEN>
Date: Tue, 7 Nov 2017 00:05:48 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <2605006.03gepixJSe@omega>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Bruno Haible wrote:
> On OpenBSD 6.0/x86 (32-bit) there is 1 test failure.
 > ...
> touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
> gzip: in: warning: file timestamp out of range for gzip format
> gzip: in: warning: file timestamp out of range for gzip format
> gzip: in: warning: file timestamp out of range for gzip format
> gzip: in: warning: file timestamp out of range for gzip format
> FAIL timestamp (exit status: 1)

I'm having a bit of trouble figuring out what happened. Perhaps put "set -x" 
into the script, so that we can get a trace?




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 7 Nov 2017 07:45:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 07 02:45:31 2017
Received: from localhost ([127.0.0.1]:55100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eByZf-0007Xa-L6
	for submit <at> debbugs.gnu.org; Tue, 07 Nov 2017 02:45:31 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:38796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eByZd-0007XM-SQ
 for 29033 <at> debbugs.gnu.org; Tue, 07 Nov 2017 02:45:30 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2CC581600D4;
 Mon,  6 Nov 2017 23:45:24 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id y_Ox9iLQ5HXk; Mon,  6 Nov 2017 23:45:23 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6E10B160856;
 Mon,  6 Nov 2017 23:45:23 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 0meEpB8nB5nU; Mon,  6 Nov 2017 23:45:23 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 473471600D4;
 Mon,  6 Nov 2017 23:45:23 -0800 (PST)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <3147087.D8kWGdm2hi@omega>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <4d53ddfc-fbac-a9c3-9241-f4fb2d0ace49@HIDDEN>
Date: Mon, 6 Nov 2017 23:45:23 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <3147087.D8kWGdm2hi@omega>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Bruno Haible wrote:
> On FreeBSD 11/x86 (32-bit) there are 3 test failures.

Two of the three we've already discussed. In the third one, apparently th=
is sort=20
of /bin/sh script:

#!/bin/sh
exec printf '%s\n' "a long string"

improperly exits with status 0 when standard output is /dev/full. It migh=
t be=20
helpful to see what system calls the shell is executing, possibly in prep=
aration=20
for sending a bug report to the FreeBSD maintainers. However, this is low=
=20
priority, as we're talking only about incorrect exit status when zmore's=20
diagnostics are discarded.




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 7 Nov 2017 07:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 07 02:29:14 2017
Received: from localhost ([127.0.0.1]:55094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eByJu-00079q-0O
	for submit <at> debbugs.gnu.org; Tue, 07 Nov 2017 02:29:14 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:37436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eByJs-00079a-3G
 for 29033 <at> debbugs.gnu.org; Tue, 07 Nov 2017 02:29:13 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8B8871600D4;
 Mon,  6 Nov 2017 23:29:03 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id dRW2rOzkKVa4; Mon,  6 Nov 2017 23:29:02 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 20B9F160894;
 Mon,  6 Nov 2017 23:29:02 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id cE0VA7jTnM4E; Mon,  6 Nov 2017 23:29:02 -0800 (PST)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id E4D201600D4;
 Mon,  6 Nov 2017 23:29:01 -0800 (PST)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <22527680.VypvAIlWnn@omega>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <acdf24bb-e4e1-9b35-adc5-ad04e05ea642@HIDDEN>
Date: Mon, 6 Nov 2017 23:29:01 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <22527680.VypvAIlWnn@omega>
Content-Type: multipart/mixed; boundary="------------B589296855B514470B12CA28"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org, Gnulib bugs <bug-gnulib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------B589296855B514470B12CA28
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Bruno Haible wrote:

> + touch -t 210602070628.15 in
> touch: invalid date format '210602070628.15'
> + printf '\037\213\10\0\377\377\377\377\0\377\3\0\0\0\0\0\0\0\0\0'
> + returns_ 2 gzip -Nlv
> method  crc     date  time           compressed        uncompressed  ra=
tio uncompressed_name
> defla 00000000 Oct 28 00:47                  20                   0   0=
.0% stdout
> + fail=3D1

Instead of suppressing the test, how about if we tell builders not to bui=
ld with=20
-m32 on platforms supporting 64-bit time_t? That way, they won't run into=
 a=20
problem where gzip mishandles file timestamps due to OS screwups or=20
errno=3D=3DEOVERFLOW problems that cannot happen with 64-bit time_t. In t=
he=20
not-too-distant future we're going to have to insist on 64-bit time_t any=
way,=20
and in the meantime we can strongly suggest 64-bit time_t by installing t=
he=20
first attached patch to gzip (which I've done), by installing the attache=
d=20
proposed patch to Gnulib (which I have not done yet, pending your comment=
s), and=20
by syncing gzip to gnulib.

> I think the problem is this comment:
> # On platforms that fail to support timestamps within gzip's range,
> # test that gzip warns when converting them from gzip format.
>=20
> Gzip's behaviour depends on libc, and what the 'touch' program is doing
> is a different thing. It's incorrect to assume that libc's behaviour an=
d
> touch's behaviour are consistent.

The testcase doesn't assume that. It merely assumes that standard utiliti=
es=20
support a superset of the timestamps that libc supports. This should be a=
=20
reasonable assumption for the -m32 case that you describe (and which I'm =
trying=20
to discourage with the abovementioned patches).

The assumption would not be reasonable for platforms where standard utili=
ties=20
are worse than libc, but this should be uncommon. If it is a problem, per=
haps we=20
can get by, by simply telling users to ignore the tests in that case.

CC'ing to bug-gnulib since the 2nd patch is for Gnulib.

--------------B589296855B514470B12CA28
Content-Type: text/x-patch;
 name="0001-misc-diagnose-year-2038-configuration-problems.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename*0="0001-misc-diagnose-year-2038-configuration-problems.patch"

=46rom bca6ab306d2940e63f2cb1252968310d8f40d31c Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Mon, 6 Nov 2017 23:14:40 -0800
Subject: [PATCH] misc: diagnose year-2038 configuration problems

* bootstrap.conf (gnulib_modules): Add year2038.
* m4/.gitignore: Add year2038.m4[
---
 bootstrap.conf | 1 +
 m4/.gitignore  | 1 +
 2 files changed, 2 insertions(+)

diff --git a/bootstrap.conf b/bootstrap.conf
index bea50e4..b973839 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -61,6 +61,7 @@ update-copyright
 utimens
 verify
 xalloc
+year2038
 yesno
 '
=20
diff --git a/m4/.gitignore b/m4/.gitignore
index 9216223..2aecca5 100644
--- a/m4/.gitignore
+++ b/m4/.gitignore
@@ -149,3 +149,4 @@
 /xsize.m4
 /yesno.m4
 /host-cpu-c-abi.m4
+/year2038.m4
--=20
2.13.6


--------------B589296855B514470B12CA28
Content-Type: text/x-patch;
 name="0001-year2038-be-more-insistent-about-64-bit-time_t.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename*0="0001-year2038-be-more-insistent-about-64-bit-time_t.patch"

=46rom 9e78a57ae30ec897241ea3200ca767b622539f2b Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Mon, 6 Nov 2017 23:20:23 -0800
Subject: [PATCH] year2038: be more insistent about 64-bit time_t

Applications requiring access to arbitrary files should not be
built with 32-bit time_t on hosts that have 64-bit timestamps,
as this can lead to real trouble at runtime.
* m4/year2038.m4 (gl_YEAR2038): Do not require AC_CANONICAL_HOST.
Check on all systems, not just MinGW.  Use a heuristic involving
TIME_T_32_BIT_OK, cross_compiling, and the touch command to
output a failure or just a warning, to make it more likely that
builders will select 64-bit time_t.
---
 ChangeLog      | 12 ++++++++++++
 m4/year2038.m4 | 36 ++++++++++++++++++++----------------
 2 files changed, 32 insertions(+), 16 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index c9dc192dd..cad5ed70d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2017-11-06  Paul Eggert  <eggert@HIDDEN>
+
+	year2038: be more insistent about 64-bit time_t
+	Applications requiring access to arbitrary files should not be
+	built with 32-bit time_t on hosts that have 64-bit timestamps,
+	as this can lead to real trouble at runtime.
+	* m4/year2038.m4 (gl_YEAR2038): Do not require AC_CANONICAL_HOST.
+	Check on all systems, not just MinGW.  Use a heuristic involving
+	TIME_T_32_BIT_OK, cross_compiling, and the touch command to
+	output a failure or just a warning, to make it more likely that
+	builders will select 64-bit time_t.
+
 2017-11-05  Paul Eggert  <eggert@HIDDEN>
=20
 	havelib: fix typo in previous change
diff --git a/m4/year2038.m4 b/m4/year2038.m4
index b9adc99bd..ccc905c91 100644
--- a/m4/year2038.m4
+++ b/m4/year2038.m4
@@ -1,4 +1,4 @@
-# year2038.m4 serial 2
+# year2038.m4 serial 3
 dnl Copyright (C) 2017 Free Software Foundation, Inc.
 dnl This file is free software; the Free Software Foundation
 dnl gives unlimited permission to copy and/or distribute it,
@@ -20,9 +20,12 @@ AC_DEFUN([gl_YEAR2038_EARLY],
=20
 AC_DEFUN([gl_YEAR2038],
 [
-  AC_REQUIRE([AC_CANONICAL_HOST])
-  case "$host_os" in
-    mingw*)
+      dnl On many systems, time_t is already a 64-bit type.
+      dnl On those systems where time_t is still 32-bit, it requires ker=
nel
+      dnl and libc support to make it 64-bit. For glibc on Linux/x86, th=
is
+      dnl is work in progress; see
+      dnl <https://sourceware.org/glibc/wiki/Y2038ProofnessDesign>.
+      dnl
       dnl On native Windows, the system include files define types __tim=
e32_t
       dnl and __time64_t. By default, time_t is an alias of
       dnl   - __time32_t on 32-bit mingw,
@@ -41,8 +44,6 @@ AC_DEFUN([gl_YEAR2038],
            [gl_cv_type_time_t_64=3Dyes], [gl_cv_type_time_t_64=3Dno])
         ])
       if test $gl_cv_type_time_t_64 =3D no; then
-        dnl Just bail out if 'time_t' is not 64-bit, and let the user fi=
x the
-        dnl problem.
         AC_COMPILE_IFELSE(
           [AC_LANG_SOURCE(
              [[#ifdef _USE_32BIT_TIME_T
@@ -52,15 +53,18 @@ AC_DEFUN([gl_YEAR2038],
                #endif
              ]])],
           [AC_MSG_FAILURE([This package requires a 64-bit 'time_t' type.=
 Remove _USE_32BIT_TIME_T from the compiler flags.])],
-          [AC_MSG_FAILURE([This package requires a 64-bit 'time_t' type.=
 Your system include files surely provide a way to make 'time_t' an alias=
 of '__time64_t'.])])
+          [# If TIME_T_32_BIT_OK is "no" (the default) and not cross-com=
piling
+           # and 'touch' works with a large timestamp, then evidently
+           # 64-bit time_t is desired and supported, so fail and ask
+           # the builder to fix the problem.  Otherwise, just warn the
+           # builder.
+           if test "${TIME_T_32_BIT_OK-no}" =3D no &&
+              test $cross_compiling =3D no &&
+              TZ=3DUTC0 touch -t 210602070628.16 conftest.time 2>/dev/nu=
ll; then
+             rm -f conftest.time
+             AC_MSG_FAILURE([This package requires a 64-bit 'time_t' typ=
e, which your system appears to support. You might try configuring with '=
CPPFLAGS=3D"-m64" LDFLAGS=3D"-m64"'. To build with a 32-bit time_t anyway=
 (not recommended), configure with 'TIME_T_32_BIT_OK=3Dyes'.])
+           else
+             AC_MSG_WARN([This package requires a 64-bit 'time_t' type i=
f there is any way to access timestamps outside the year range 1901-2038 =
on your platform. Perhaps you should configure with 'CPPFLAGS=3D"-m64" LD=
FLAGS=3D"-m64"'?])
+           fi])
       fi
-      ;;
-    *)
-      dnl On many systems, time_t is already a 64-bit type.
-      dnl On those systems where time_t is still 32-bit, it requires ker=
nel
-      dnl and libc support to make it 64-bit. For glibc on Linux/x86, th=
is
-      dnl is work in progress; see
-      dnl <https://sourceware.org/glibc/wiki/Y2038ProofnessDesign>.
-      ;;
-  esac
 ])
--=20
2.13.6


--------------B589296855B514470B12CA28--




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 6 Nov 2017 04:40:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 05 23:40:59 2017
Received: from localhost ([127.0.0.1]:52881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eBZDX-0006St-Hb
	for submit <at> debbugs.gnu.org; Sun, 05 Nov 2017 23:40:59 -0500
Received: from mail-qk0-f169.google.com ([209.85.220.169]:47222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1eBZDW-0006Sh-AU
 for 29033 <at> debbugs.gnu.org; Sun, 05 Nov 2017 23:40:58 -0500
Received: by mail-qk0-f169.google.com with SMTP id m189so9512017qke.4
 for <29033 <at> debbugs.gnu.org>; Sun, 05 Nov 2017 20:40:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=61I4IPYGvo1jQ6Y1GXuZW44rtksDdbDQEC+LYNNHFGA=;
 b=hkMF+fOGaTsUxeniuvOSlF48nzLlILOVR7kHxEmOHswU7ywrgg7O4qkhNRQK7zcrtS
 JXp9pqcFUsmd9XbDQzbqh/bvgJLbttkdmK0OO0zfFiekbKt4M96WOg+tEgZ1AnNIwDa3
 +7dHPe3OrmjoN8NMnluC4vsqDwYaAFNh/0dGdmVoGDHC7soTWKcovN7UuE5x0UJoB0aT
 cro73fvHFEv5z5ZN0VXmHr44ta19jI9NOmKfPO3ucp4esarS/lVjaMBVbPsmNaACd/sb
 gwgSpvbcXXXX6o7s9poz1r26JqPNfw9pOipbkRnlTMtj7VahjvidOq0MrQGTTuJIU7Nu
 Op+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=61I4IPYGvo1jQ6Y1GXuZW44rtksDdbDQEC+LYNNHFGA=;
 b=tZpTzEWcTGf2rujjAgho9U2dcKtp71G48g8hdMBN4Q9A1yr3hTo5MNEq+ovLBlGAvW
 NwjjelMCHltdzQ1z3XB4mRGtCi3SYOr6CaJT4K3T3OZOt3sgEzIvoY/+ud4kedzxo2jh
 GAv7Fh8SxtK0JTmtFCkMY1kIXOPcE2qszfo/2/p/8LYIZ9BzURgi0gP4RHhIZGSSZ7BI
 uSUCD3VULoBSxF6vGWUQKcgOfX4kJSQLtvq+oBfq3t0K8uGEQL4ROq+A3EMTq9zWF8Cl
 /8SAjIZDZ7DuiFqN3ohUvP+cw4+SPb9BD6Am7Yj6nclJK4lQLoZJreo+g3Wi8CJ0nczD
 OCaQ==
X-Gm-Message-State: AJaThX7SgeUXUI15g1ZmM59Ru/sbUZmd4kO7l5245UuGqe+SNodFtHvF
 gRHJ/6RZ9u/B8QCQUz+yv505LT0mWqL/CU4OZVk=
X-Google-Smtp-Source: ABhQp+T9g7L82Ac9iUnq5FTJP+aXtHTEC7nq4v0+eF6JzOwYTQ7KBoOchpkPMnlxTj5hwZUwMJygiANKYd1JsRaXC5M=
X-Received: by 10.55.74.138 with SMTP id x132mr18940706qka.239.1509943252616; 
 Sun, 05 Nov 2017 20:40:52 -0800 (PST)
MIME-Version: 1.0
Received: by 10.55.198.145 with HTTP; Sun, 5 Nov 2017 20:40:31 -0800 (PST)
In-Reply-To: <2116924.ojyYHGffZI@omega>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <5898139.jocEo1Ced3@omega>
 <6d6cfac8-2abe-a7ed-20fc-033ba641bc38@HIDDEN> <2116924.ojyYHGffZI@omega>
From: Jim Meyering <jim@HIDDEN>
Date: Sun, 5 Nov 2017 20:40:31 -0800
X-Google-Sender-Auth: J8yA7972fLUOQ7GZ9OY_pbKVNwQ
Message-ID: <CA+8g5KGZq49iLwhjbVkJnNY45XxCL+XNd=YYJ2HdwJqU71W8Ww@HIDDEN>
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

On Sat, Nov 4, 2017 at 7:20 PM, Bruno Haible <bruno@HIDDEN> wrote:
> Hi Paul,
>
>> This is due to a bug in the Linux kernel, when it emulates 32-bit Linux atop a
>> 64-bit kernel. See:
>>
>> https://bugzilla.redhat.com/show_bug.cgi?id=1419736
>
> I see, you nailed it down already.
>
>> I see that Assaf reported the same bug against gzip here:
>>
>> https://bugs.gnu.org/25636#8
>>
>> I don't see an easy way of working around the bug in gzip proper. It will become
>> a bigger deal when the year 2038 rolls around....
>>
>> I suppose we could skip the test when running in 32-bit mode atop Linux x86-64,
>> though that sort of misses the point of doing the test.
>
> The concept of "expected failure" fits here, I think. If the test suite would flag
> this as an XFAIL rather than a FAIL, people would not report it.
>
> AFAIU from the doc [1], the way to turn a FAIL into an XFAIL is to add something
> like this in the Makefile.am:
>
>   XFAIL_TESTS =
>   if $host is x86_64-*-linux* and $HOST_CPU_C_ABI is i386
>   XFAIL_TESTS += timestamp
>   fi
>
> Bruno
>
> [1] https://www.gnu.org/software/automake/manual/html_node/Scripts_002dbased-Testsuites.html

Thanks to both of you.
FYI, the timestamp test also fails on e.g., the Solaris 5.11 i386 platform.




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 5 Nov 2017 02:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 04 22:20:35 2017
Received: from localhost ([127.0.0.1]:51095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eBAY7-0008PP-6U
	for submit <at> debbugs.gnu.org; Sat, 04 Nov 2017 22:20:35 -0400
Received: from mo4-p00-ob.smtp.rzone.de ([81.169.146.221]:16017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1eBAY4-0008PE-8L
 for 29033 <at> debbugs.gnu.org; Sat, 04 Nov 2017 22:20:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509848431;
 s=domk; d=clisp.org;
 h=Content-Type:Content-Transfer-Encoding:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=qFciUK+D96AULzidi0288s6Ri7haZsqqUVB/AcXr22Q=;
 b=HrA0bB56jPSkoSpuXkgzo18TLlU+ZvysRUt0BlYo24fd7K5MZufXGRf1JqhufVmMgl
 oFxBrBtcFw4uU+j9OliZ+a3+sRnHZudsUzoxtUp0JDVwp+yBJCwxyxFAHzZCKRywjHEe
 5nv5L4akzoy8z4Ce+lV4sajc3ejV+zq9ia+sE=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719tA52KSYI7
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sun, 5 Nov 2017 03:20:28 +0100 (CET)
From: Bruno Haible <bruno@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
Date: Sun, 05 Nov 2017 03:20:27 +0100
Message-ID: <2116924.ojyYHGffZI@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <6d6cfac8-2abe-a7ed-20fc-033ba641bc38@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <5898139.jocEo1Ced3@omega>
 <6d6cfac8-2abe-a7ed-20fc-033ba641bc38@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org, Jim Meyering <jim@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Paul,

> This is due to a bug in the Linux kernel, when it emulates 32-bit Linux atop a 
> 64-bit kernel. See:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1419736

I see, you nailed it down already.

> I see that Assaf reported the same bug against gzip here:
> 
> https://bugs.gnu.org/25636#8
> 
> I don't see an easy way of working around the bug in gzip proper. It will become 
> a bigger deal when the year 2038 rolls around....
> 
> I suppose we could skip the test when running in 32-bit mode atop Linux x86-64, 
> though that sort of misses the point of doing the test.

The concept of "expected failure" fits here, I think. If the test suite would flag
this as an XFAIL rather than a FAIL, people would not report it.

AFAIU from the doc [1], the way to turn a FAIL into an XFAIL is to add something
like this in the Makefile.am:

  XFAIL_TESTS =
  if $host is x86_64-*-linux* and $HOST_CPU_C_ABI is i386
  XFAIL_TESTS += timestamp
  fi

Bruno

[1] https://www.gnu.org/software/automake/manual/html_node/Scripts_002dbased-Testsuites.html





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 5 Nov 2017 00:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 04 20:36:00 2017
Received: from localhost ([127.0.0.1]:51078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eB8uu-00062L-6v
	for submit <at> debbugs.gnu.org; Sat, 04 Nov 2017 20:36:00 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:60632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1eB8us-000625-06
 for 29033 <at> debbugs.gnu.org; Sat, 04 Nov 2017 20:35:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6227E160599;
 Sat,  4 Nov 2017 17:35:51 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id uCuQoMIFbYSJ; Sat,  4 Nov 2017 17:35:50 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7BE511605ED;
 Sat,  4 Nov 2017 17:35:50 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id qaOZbXp5kTFn; Sat,  4 Nov 2017 17:35:50 -0700 (PDT)
Received: from [192.168.1.9] (unknown [47.154.30.119])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 59249160599;
 Sat,  4 Nov 2017 17:35:50 -0700 (PDT)
Subject: Re: bug#29033: [platform-testers] new snapshot available:
 gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>, Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <5898139.jocEo1Ced3@omega>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <6d6cfac8-2abe-a7ed-20fc-033ba641bc38@HIDDEN>
Date: Sat, 4 Nov 2017 17:35:50 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <5898139.jocEo1Ced3@omega>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Bruno Haible wrote:
> $ export TZ=3DUTC0
> $ rm -f in in.gz; touch -t 190101010000 in; ../../gzip in; echo $?
> 0
> $ rm -f in in.gz; touch -t 190101010000 in; ls -l --full-time in
> -rw-rw-r-- 1 bruno bruno 0 1901-01-01 00:00:00.000000000 +0000 in

This is due to a bug in the Linux kernel, when it emulates 32-bit Linux a=
top a=20
64-bit kernel. See:

https://bugzilla.redhat.com/show_bug.cgi?id=3D1419736

I see that Assaf reported the same bug against gzip here:

https://bugs.gnu.org/25636#8

I don't see an easy way of working around the bug in gzip proper. It will=
 become=20
a bigger deal when the year 2038 rolls around....

I suppose we could skip the test when running in 32-bit mode atop Linux x=
86-64,=20
though that sort of misses the point of doing the test.




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Oct 2017 19:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 29 15:09:50 2017
Received: from localhost ([127.0.0.1]:40905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8sxx-0003si-Vw
	for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 15:09:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1e8sxw-0003sV-8a
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 15:09:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8sxq-00010l-6z
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 15:09:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45779)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1e8sxq-00010d-3E
 for submit <at> debbugs.gnu.org; Sun, 29 Oct 2017 15:09:42 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44090)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8sxo-0000Ci-Ng
 for bug-gzip@HIDDEN; Sun, 29 Oct 2017 15:09:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8sxm-0000zW-Jg
 for bug-gzip@HIDDEN; Sun, 29 Oct 2017 15:09:39 -0400
Received: from mail-qk0-x244.google.com ([2607:f8b0:400d:c09::244]:53480)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1e8sxm-0000z9-DW
 for bug-gzip@HIDDEN; Sun, 29 Oct 2017 15:09:38 -0400
Received: by mail-qk0-x244.google.com with SMTP id y23so13730784qkb.10
 for <bug-gzip@HIDDEN>; Sun, 29 Oct 2017 12:09:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=oc5YQSlLZ/jgmEKTkEH/UczwAUc4fG+aDIEhzxmJrYs=;
 b=vF+cR7m844WWCCGsx/oGog551kExXUS3mnx/P4avnZ9JCxzi4n3HHoKXsGsfR+JKtV
 ENt2690a/w+Lf6Gr8hHQDQTp7zDvg6LQ4ol9yjzST874F3w12FJ+3eUVQVKYrROCbn1x
 1ZYcAlPC6hKXQtQ0ADMPPeIrIuB9XM/jGkdO69GzOdbTXAR+hgpBvwXtvcQNvHxTfD36
 7JrYPmejeSP6Xw5HziCEJPer6VqroTRIfnoOXDE4EO9BQgtnC/TjWWlSt1zXyvk7oltD
 AeAATUkG8t5WahgB5NYvSLgoZ+EfNIHddBNtWzSsJEuH7DC4HenKgD4BdtLIwAhrMoVO
 IZTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=oc5YQSlLZ/jgmEKTkEH/UczwAUc4fG+aDIEhzxmJrYs=;
 b=k+WoZVmrGoui/NAXvMnwGuXTZpplpgTnj9bkLQPqKoKcFbPtetOx0liDksX9uxi62X
 4PpArue1CQYml8ptlp72YYbn5DQSxTqD3sxnhbQsawPCTDVS6JkfWURkbmuuZ+vzDJlK
 vbxIqI2TIEWtDd/W7mlRxJp5f3XgQDX5H8RsQQNJY0ljMPmcDNHKaJhQlmskbqWvxy8q
 EYexB6yfEeabfUt5ysUSs06pZImyUgm/vXJATL8BqMvpos5aKcqOBT+jwnx7kuAQ6t8h
 oJaMrWGZTlMFkcBxvhTusP5Co+tJ4zSwxnsTNvwipEVbZcvLP2BON//b50G+mipnngUo
 dYpQ==
X-Gm-Message-State: AMCzsaV/2d/tU+ASUfBmkuP54szPZgRy0GHdgVxYyRG1QFozhvb4l3VW
 dcASO33A2TVrSBcGOCrEcqJb4VdnOoxLC3tmRtUwTQ==
X-Google-Smtp-Source: ABhQp+Q6ctxu84GIdBQ1uuFaJzbBx7RpGRPnkp8iCFrdxzaM32FkC7jgIMwGTf5ySS6qPXhVOLJVqu6cQj0ie6vLnv4=
X-Received: by 10.55.116.197 with SMTP id p188mr9921338qkc.125.1509304177423; 
 Sun, 29 Oct 2017 12:09:37 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.55.198.145 with HTTP; Sun, 29 Oct 2017 12:09:16 -0700 (PDT)
In-Reply-To: <23583607.8tUrTQqr0b@omega>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <23583607.8tUrTQqr0b@omega>
From: Jim Meyering <jim@HIDDEN>
Date: Sun, 29 Oct 2017 12:09:16 -0700
X-Google-Sender-Auth: IYQStoluFhL4IrgsKf4vtct2JoY
Message-ID: <CA+8g5KHeHO7eT5QUU_Fh2n6RA71HAgjRzgswBMnm+jbHSnfqeA@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>
Content-Type: multipart/mixed; boundary="001a114fddb25a96e3055cb44329"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--001a114fddb25a96e3055cb44329
Content-Type: text/plain; charset="UTF-8"

On Fri, Oct 27, 2017 at 7:27 PM, Bruno Haible <bruno@HIDDEN> wrote:
> On AIX 7.1, with xlc, in 64-bit mode, 1 test fails: unpack-valid.
> Logs attached.

Thanks a lot. This appears to have afflicted a few other types of systems, too.

This test used `printf '\x1f\x1e...' >test.z` to create a test input,
but some versions of printf fail to handle hexadecimal escapes in the
format string. Here's the fix I've pushed:

--001a114fddb25a96e3055cb44329
Content-Type: text/plain; charset="US-ASCII"; name="printf-unpack-valid.diff"
Content-Disposition: attachment; filename="printf-unpack-valid.diff"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j9d4pb414
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--001a114fddb25a96e3055cb44329--




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at 29033 <at> debbugs.gnu.org:


Received: (at 29033) by debbugs.gnu.org; 28 Oct 2017 15:31:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 11:31:01 2017
Received: from localhost ([127.0.0.1]:39360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8T4f-0007FO-9y
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 11:31:01 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:55382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1e8T4d-0007FA-D3
 for 29033 <at> debbugs.gnu.org; Sat, 28 Oct 2017 11:31:00 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 88622160F0E;
 Sat, 28 Oct 2017 08:30:53 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id z1d_xt67-5aK; Sat, 28 Oct 2017 08:30:51 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id C09BA160F5C;
 Sat, 28 Oct 2017 08:30:51 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id Zp_aVDIvjbpx; Sat, 28 Oct 2017 08:30:51 -0700 (PDT)
Received: from [10.11.66.16] (50-254-117-218-static.hfc.comcastbusiness.net
 [50.254.117.218])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 83DE2160F0E;
 Sat, 28 Oct 2017 08:30:51 -0700 (PDT)
Subject: Re: bug#29033: new snapshot available: gzip-1.8.32-4606
To: Jim Meyering <jim@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Message-ID: <32db5bc9-a62c-a451-c45c-826a6b2a0142@HIDDEN>
Date: Sat, 28 Oct 2017 08:30:38 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.4.0
MIME-Version: 1.0
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 29033
Cc: 29033 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Perhaps we should also fix Bug#29006, assuming it's indeed a bug? I'm a 
bit short on time right now and do not have time to check; maybe tomorrow.

https://bugs.gnu.org/29006





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 14:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 28 10:31:48 2017
Received: from localhost ([127.0.0.1]:39348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8S9M-0005nI-Bn
	for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 10:31:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1e8S9K-0005n5-C4
 for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 10:31:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8S9E-0003e2-Hw
 for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 10:31:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44988)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1e8S9E-0003dg-Ey
 for submit <at> debbugs.gnu.org; Sat, 28 Oct 2017 10:31:40 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46406)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8S9D-0000TK-4n
 for bug-gzip@HIDDEN; Sat, 28 Oct 2017 10:31:40 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8S9C-0003bf-Dd
 for bug-gzip@HIDDEN; Sat, 28 Oct 2017 10:31:39 -0400
Received: from mail-qt0-x22a.google.com ([2607:f8b0:400d:c0d::22a]:43941)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1e8S9C-0003ax-9S
 for bug-gzip@HIDDEN; Sat, 28 Oct 2017 10:31:38 -0400
Received: by mail-qt0-x22a.google.com with SMTP id j58so11660766qtj.0
 for <bug-gzip@HIDDEN>; Sat, 28 Oct 2017 07:31:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=SxEaRlyFpjyGmCTz/0NVtKW4oeBoMLb60uP0ygraqA0=;
 b=mux85NVrmiKSbfZuWSXJGwD0t6RvcOMMPRtiVSambnVDpn/W5Xx2x/njaEz1nYC4bu
 6PJVetm9RzPs4r5WPWzSyE55l3BJ9MOhd4/Vwn+GEh9SvpzhP+3zXl+iHT7FuI3tIvKi
 Zqzd+fxmPEhXsQQCH3ENgjf09gndGBoF5RCyAGXatq8SsJ0tVE5NyOqMIlBuytRXKdo6
 1QDUvt4S/iB9t2c4ebbALKefzfPwvCXSylbcb6cbh5Zn5ADPN+gQbQJKUiaYvHzr/cIA
 8+GXv1PPbLWVPsK4pTK9XKRNa1aiYgqi3j8rEizVpUEOBlzUy+vYzQrlKUlO6E9zc+4i
 Seow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=SxEaRlyFpjyGmCTz/0NVtKW4oeBoMLb60uP0ygraqA0=;
 b=fPWhekKLkGGjwanED+OZCeW5wAfPnacVzm9LyQWJBZUyvHahWovAswdrhI37ME97r9
 ASmJWW8yP9WbyHca8IxGNejd93vysRWwvVlpaURnQrx131tE0rFRii3hnmrKMDmbN8YL
 eKbeEIqif7SIv57vw4/BH+LmP4R6vbLyUnwny/Cb7NZAUhvI4e08ND39afzdtUjNsjsx
 AZ+vcfvAScYkghdrX8PIPy8WoDrxC9u2GiBc1BNL2X1+HiieSuWpRbeVsT/t8/K2qrcU
 /OpF2KBH6ry6Rj1Y9Pe7HBGo9YjbRxlREoCmRGKJbe63mGQfkGx9Z1HGZe/7n4aGJfYP
 r4Jg==
X-Gm-Message-State: AMCzsaU/EsY10uOANmsQw0t6aKOPLO2GngQf6/AbIzelevmmGjGKIpwA
 9+D8y9avFw0XoSut2YJcX3snyHZRkfVg2nr+O/U=
X-Google-Smtp-Source: ABhQp+TJUMEiwofW8qwrfERYYo469z0lppku8lfp/0cRcPmXAInzLHMWtm5NSwC8oMWr1K/PgHTOAkksEt/a0XHiZKE=
X-Received: by 10.200.7.74 with SMTP id k10mr5721898qth.279.1509201097585;
 Sat, 28 Oct 2017 07:31:37 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.55.198.145 with HTTP; Sat, 28 Oct 2017 07:31:16 -0700 (PDT)
In-Reply-To: <23583607.8tUrTQqr0b@omega>
References: <lubpf3h8ukz1xq.fsf@HIDDEN> <23583607.8tUrTQqr0b@omega>
From: Jim Meyering <jim@HIDDEN>
Date: Sat, 28 Oct 2017 07:31:16 -0700
X-Google-Sender-Auth: kWma4W6gYPErA4rTi-sVFrCT41s
Message-ID: <CA+8g5KG-Qy4r9Q_Ft+Jt_z7=Ma+w8CKhxSpOOK0viQdJqScXfQ@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
To: Bruno Haible <bruno@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

On Fri, Oct 27, 2017 at 7:27 PM, Bruno Haible <bruno@HIDDEN> wrote:
> On AIX 7.1, with xlc, in 64-bit mode, 1 test fails: unpack-valid.
> Logs attached.

Wow. Thank you for all of that testing.




Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 02:28:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 22:28:08 2017
Received: from localhost ([127.0.0.1]:37907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8Gr1-0000Xo-Ay
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:28:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8Gqz-0000XK-Qf
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:28:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Gqr-0007yo-P0
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:28:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39232)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Gqr-0007yT-I4
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:27:57 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46959)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Gqo-0002cb-P4
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 22:27:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Gql-0007rb-Iy
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 22:27:54 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::3]:15879)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Gqk-0007pB-Th
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 22:27:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509157669;
 s=domk; d=clisp.org;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=939hiopcdpCSnzgDFWlu5XsF1GCXt5/haFl3OHPmM8U=;
 b=Vhq8jsCTFrI8DcbhZN9d+7nOmCWNR9g3o8BnDOmsFo0cXwS7+lpVrt+nz+zIgxPxoK
 zcjUHQDUF2MLI2jZq5Ab4/Cz74YFsRRc6erFDNgVQHy0dui1qxWSigOBad6ZazzAnoxB
 BE7Q+UjTySMOi8GeFd3yGh54mcgRNh3MaNE14=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S2RmQLm
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 04:27:48 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 04:27:48 +0200
Message-ID: <23583607.8tUrTQqr0b@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="nextPart11523306.gUvtQsKH4H"
Content-Transfer-Encoding: 7Bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.

--nextPart11523306.gUvtQsKH4H
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

On AIX 7.1, with xlc, in 64-bit mode, 1 test fails: unpack-valid.
Logs attached.

--nextPart11523306.gUvtQsKH4H
Content-Disposition: attachment; filename="log1"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log1"

checking for a BSD-compatible install... ../build-aux/install-sh -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ../build-aux/install-sh -c -d
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... xlc -q64
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... no
checking whether xlc -q64 accepts -g... yes
checking for xlc -q64 option to enable C11 features... unsupported
checking for xlc -q64 option to enable C99 features... none needed
checking whether xlc -q64 understands -c and -o together... yes
checking dependency style of xlc -q64... xlc
checking how to run the C preprocessor... xlc -q64 -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for nm... nm -X 64
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for a POSIX-compliant shell... /bin/sh
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for sys/param.h... yes
checking for sys/socket.h... yes
checking for dirent.h... yes
checking for features.h... no
checking for getopt.h... no
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for limits.h... yes
checking for math.h... yes
checking for sys/mman.h... yes
checking for wchar.h... yes
checking for utime.h... yes
checking for crtdefs.h... no
checking for fcntl.h... yes
checking for memory.h... yes
checking for time.h... yes
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for egrep... /usr/bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar -X 64
checking for _LARGEFILE_SOURCE value needed for large files... no
checking build system type... powerpc-ibm-aix7.1.3.0
checking host system type... powerpc-ibm-aix7.1.3.0
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking whether malloc, realloc, calloc are POSIX compliant... yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for strerror_r... yes
checking for fcntl... yes
checking for symlink... yes
checking for mempcpy... no
checking for vasnprintf... no
checking for snprintf... yes
checking for fpurge... no
checking for __fpurge... no
checking for __freading... no
checking for __fseterr... no
checking for fstatat... yes
checking for fsync... yes
checking for getdtablesize... yes
checking for getprogname... no
checking for getexecname... no
checking for gettimeofday... yes
checking for nanotime... no
checking for lstat... yes
checking for mprotect... yes
checking for openat... yes
checking for __xpg_strerror_r... no
checking for strdup... yes
checking for catgets... yes
checking for pipe... yes
checking for unlinkat... yes
checking for utime... yes
checking for futimes... no
checking for futimesat... no
checking for futimens... yes
checking for utimensat... yes
checking for lutimes... no
checking for chown... yes
checking for fchmod... yes
checking for fchown... yes
checking for siginterrupt... yes
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking how xlc -q64 reports undeclared, standard C functions... error
checking whether // is distinct from /... no
checking for complete errno.h... yes
checking whether strerror_r is declared... yes
checking whether strerror_r returns char *... no
checking whether fchdir is declared... yes
checking for working fcntl.h... no (bad O_NOATIME)
checking for pid_t... yes
checking for mode_t... yes
checking for promoted mode_t type... mode_t
checking whether fdatasync is declared... yes
checking for stdint.h... yes
checking for inttypes.h... yes
checking whether printf supports size specifiers as in C99... yes
checking whether printf supports 'long double' arguments... yes
checking whether printf supports infinite 'double' arguments... no
checking whether byte ordering is bigendian... yes
checking whether long double and double are the same... yes
checking whether printf supports infinite 'long double' arguments... no
checking whether printf supports the 'a' and 'A' directives... no
checking whether printf supports the 'F' directive... yes
checking whether printf supports the 'n' directive... yes
checking whether printf supports the 'ls' directive... yes
checking whether printf supports POSIX/XSI format strings with positions... yes
checking whether printf supports the grouping flag... yes
checking whether printf supports the left-adjust flag correctly... yes
checking whether printf supports the zero flag correctly... no
checking whether printf supports large precisions... no
checking whether printf survives out-of-memory conditions... yes
checking for unsigned long long int... yes
checking for long long int... yes
checking for wchar_t... yes
checking for wint_t... yes
checking whether wint_t is too small... no
checking for intmax_t... yes
checking where to find the exponent in a 'double'... word 0 bit 20
checking whether snprintf returns a byte count as in C99... yes
checking for snprintf... (cached) yes
checking for strnlen... yes
checking for wcslen... yes
checking for wcsnlen... yes
checking for mbrtowc... yes
checking for wcrtomb... yes
checking whether _snprintf is declared... no
checking whether frexp() can be used without linking with libm... yes
checking whether alarm is declared... yes
checking whether stdin defaults to large file offsets... yes
checking whether fseeko is declared... yes
checking for fseeko... yes
checking whether fflush works on input streams... yes
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking whether lstat correctly handles trailing slash... no
checking whether ftello is declared... yes
checking for ftello... yes
checking whether ftello works... yes
checking whether getcwd (NULL, 0) allocates memory for result... no
checking for getcwd with POSIX signature... yes
checking whether getdtablesize is declared... yes
checking for getopt.h... (cached) no
checking for C/C++ restrict keyword... __restrict
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking host CPU and C ABI... powerpc64
checking where to find the exponent in a 'float'... word 0 bit 23
checking whether limits.h has ULLONG_WIDTH etc.... no
checking for non-GNU ld... /usr/bin/ld -b64
checking if the linker (/usr/bin/ld -b64) is GNU ld... no
checking for shared library run path origin... done
checking for the common suffixes of directories in the library search path... lib,lib
checking whether imported symbols can be declared weak... no
checking for pthread.h... yes
checking for pthread_kill in -lpthread... yes
checking for multithread API to use... posix
checking for a sed that does not truncate output... /usr/bin/sed
checking for stdlib.h... yes
checking for GNU libc compatible malloc... no
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking whether memrchr is declared... no
checking for O_CLOEXEC... yes
checking whether strerror(0) succeeds... yes
checking for strerror_r with POSIX signature... yes
checking whether strerror_r works... no
checking for nl_langinfo... yes
checking for ptrdiff_t... yes
checking whether C symbols are prefixed with underscore at the linker level... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking whether stdint.h conforms to C99... no
checking for sys/inttypes.h... yes
checking for sys/bitypes.h... no
checking for bit size of ptrdiff_t... 64
checking for bit size of size_t... 64
checking for bit size of sig_atomic_t... 32
checking for bit size of wchar_t... 32
checking for bit size of wint_t... 32
checking whether sig_atomic_t is signed... yes
checking whether wchar_t is signed... no
checking whether wint_t is signed... yes
checking for ptrdiff_t integer literal suffix... l
checking for size_t integer literal suffix... ul
checking for sig_atomic_t integer literal suffix... no
checking for wchar_t integer literal suffix... u
checking for wint_t integer literal suffix... 
checking whether strdup is declared... yes
checking for struct timespec in <time.h>... yes
checking whether the utimes function works... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for alloca as a compiler built-in... yes
checking for GNU libc compatible calloc... no
checking whether this system has an arbitrary file name length limit... yes
checking for library containing clock_gettime... none required
checking for clock_gettime... yes
checking for clock_settime... yes
checking for closedir... yes
checking for dirfd... yes
checking whether dirfd is declared... yes
checking whether dirfd is a macro... no
checking whether // is distinct from /... (cached) no
checking whether dup works... yes
checking whether dup2 works... no
checking for setdtablesize... no
checking for error_at_line... no
checking whether fflush works on input streams... (cached) yes
checking whether fcntl handles F_DUPFD correctly... no
checking whether fcntl understands F_DUPFD_CLOEXEC... no
checking for library containing fdatasync... none required
checking whether fdopendir is declared... yes
checking whether fdopendir works... yes
checking whether fflush works on input streams... (cached) yes
checking whether conversion from 'int' to 'long double' works... yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking whether fpurge is declared... no
checking whether frexp works... yes
checking whether frexpl is declared... yes
checking whether frexpl() can be used without linking with libm... yes
checking whether frexpl works... yes
checking for fseeko... (cached) yes
checking whether fflush works on input streams... (cached) yes
checking whether fstatat (..., 0) works... yes
checking for ftello... (cached) yes
checking whether ftello works... (cached) yes
checking whether getdtablesize works... yes
checking whether program_invocation_name is declared... no
checking whether program_invocation_short_name is declared... no
checking whether __argv is declared... no
checking whether __progname is defined in default libraries... 
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... yes
checking whether isnan(double) can be used without linking with libm... no
checking whether isnan(float) can be used without linking with libm... no
checking where to find the exponent in a 'float'... (cached) word 0 bit 23
checking whether isnan(long double) can be used without linking with libm... no
checking where to find the exponent in a 'long double'... word 0 bit 20
checking for C compiler flag to ignore unused libraries... none
checking for pthread_rwlock_t... yes
checking whether pthread_rwlock_rdlock prefers a writer to a reader... no
checking whether lseek detects pipes... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) no
checking whether NAN macro works... yes
checking whether HUGE_VAL works... yes
checking for mempcpy... (cached) no
checking for memrchr... no
checking whether open recognizes a trailing slash... no
checking for opendir... yes
checking whether frexp works... (cached) yes
checking whether ldexp can be used without linking with libm... yes
checking whether frexpl() can be used without linking with libm... (cached) yes
checking whether frexpl works... (cached) yes
checking whether frexpl is declared... (cached) yes
checking whether ldexpl() can be used without linking with libm... yes
checking whether ldexpl works... yes
checking whether ldexpl is declared... yes
checking for readdir... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... no
checking whether rmdir works... yes
checking for signbit macro... no
checking for signbit compiler built-ins... no
checking where to find the sign bit in a 'float'... word 0 bit 31
checking where to find the sign bit in a 'double'... word 0 bit 31
checking where to find the sign bit in a 'long double'... word 0 bit 31
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for ssize_t... yes
checking whether stat handles trailing slashes on files... no
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... no
checking for struct stat.st_birthtimespec.tv_nsec... no
checking for struct stat.st_birthtimensec... no
checking for struct stat.st_birthtim.tv_nsec... no
checking for max_align_t... no
checking whether NULL can be used in arbitrary expressions... no
checking which flavor of printf attribute matches inttypes macros... system
checking for stpcpy... yes
checking for working strerror function... yes
checking for nlink_t... (cached) yes
checking whether unlink honors trailing slashes... no
checking whether unlink of a parent directory fails as it should... guessing yes
checking for ptrdiff_t... (cached) yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking for stdint.h... (cached) yes
checking for underline in external names... no
checking for an assembler syntax supported by this package... no
checking for library containing strerror... none required
checking for an ANSI C-conforming const... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking return type of signal handlers... void
checking for size_t... (cached) yes
checking for off_t... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating lib/Makefile
config.status: creating tests/Makefile
config.status: creating lib/config.h
config.status: linking ../GNUmakefile to GNUmakefile
config.status: executing depfiles commands

--nextPart11523306.gUvtQsKH4H
Content-Disposition: attachment; filename="log2"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log2"

  GEN      version.c
  GEN      version.h
	make  all-recursive
Making all in lib
  GEN      alloca.h
  GEN      dirent.h
  GEN      fcntl.h
  GEN      float.h
  GEN      getopt.h
  GEN      getopt-cdefs.h
  GEN      limits.h
  GEN      math.h
  GEN      stddef.h
  GEN      stdint.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  GEN      wchar.h
	make  all-am
  CC       cloexec.o
  CC       opendir-safer.o
  CC       dirname-lgpl.o
  CC       basename-lgpl.o
  CC       stripslash.o
  CC       exitfail.o
  CC       creat-safer.o
  CC       open-safer.o
  CC       fd-hook.o
  CC       fd-safer-flag.o
  CC       dup-safer-flag.o
  CC       filenamecat-lgpl.o
  CC       freading.o
  CC       getprogname.o
  CC       gettime.o
  CC       glthread/lock.o
  CC       malloca.o
  CC       math.o
  CC       openat-die.o
  CC       openat-safer.o
  CC       printf-frexp.o
  CC       printf-frexpl.o
  CC       save-cwd.o
  CC       savedir.o
  CC       stat-time.o
  CC       statat.o
  CC       glthread/threadlib.o
  CC       timespec.o
  CC       unistd.o
  CC       dup-safer.o
  CC       fd-safer.o
  CC       pipe-safer.o
  CC       utimens.o
  CC       xmalloc.o
  CC       xalloc-die.o
  CC       xsize.o
  CC       yesno.o
  CC       asnprintf.o
  CC       calloc.o
  CC       chdir-long.o
  CC       dup2.o
  CC       error.o
  CC       fcntl.o
  CC       float.o
  CC       fprintf.o
  CC       fpurge.o
  CC       fseterr.o
  CC       fstatat.o
  CC       getcwd-lgpl.o
  CC       getopt.o
  CC       getopt1.o
  CC       isnand.o
  CC       isnanf.o
  CC       isnanl.o
  CC       localtime-buffer.o
  CC       lstat.o
  CC       malloc.o
  CC       mempcpy.o
  CC       memrchr.o
  CC       open.o
  CC       openat.o
  CC       openat-proc.o
  CC       perror.o
  CC       printf.o
  CC       printf-args.o
  CC       printf-parse.o
  CC       realloc.o
  CC       signbitd.o
  CC       signbitf.o
  CC       signbitl.o
  CC       stat.o
  CC       strerror.o
  CC       strerror_r.o
  CC       unlink.o
  CC       unlinkat.o
  CC       vasnprintf.o
  CC       vfprintf.o
  AR       libgzip.a
Target "all-am" is up to date.
Making all in doc
Target "all" is up to date.
Making all in .
  CC       version.o
  AR       libver.a
  CC       bits.o
  CC       deflate.o
  CC       gzip.o
  CC       inflate.o
  CC       lzw.o
  CC       trees.o
  CC       unlzh.o
  CC       unlzw.o
  CC       unpack.o
  CC       unzip.o
  CC       util.o
  CC       zip.o
  CCLD     gzip
  GEN      gunzip
  GEN      gzexe
  GEN      zcat
  GEN      zcmp
  GEN      zdiff
  GEN      zegrep
  GEN      zfgrep
  GEN      zforce
  GEN      zgrep
  GEN      zless
  GEN      zmore
  GEN      znew
Target "all-am" is up to date.
Making all in tests
Target "all" is up to date.

--nextPart11523306.gUvtQsKH4H
Content-Disposition: attachment; filename="log3"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log3"

	make  check-recursive
Making check in lib
	make  check-am
Target "check-am" is up to date.
Making check in doc
Target "check" is up to date.
Making check in .
	make  check-local
  GEN      gzip.doc.gz
  GEN      check-local
Making check in tests
	make  check-TESTS
PASS: gzip-env
PASS: helin-segv
PASS: help-version
PASS: hufts
PASS: keep
PASS: list
PASS: memcpy-abuse
PASS: mixed
PASS: null-suffix-clobber
PASS: stdin
PASS: timestamp
PASS: trailing-nul
PASS: unpack-invalid
FAIL: unpack-valid
PASS: z-suffix
PASS: zdiff
PASS: zgrep-f
PASS: zgrep-context
PASS: zgrep-signal
PASS: znew-k
============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
============================================================================
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 2.


Stop.
make: 1254-004 The error code from the last command is 2.


Stop.
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 2.


Stop.

--nextPart11523306.gUvtQsKH4H
Content-Disposition: attachment; filename="test-suite.log"
Content-Transfer-Encoding: 7Bit
Content-Type: text/x-log; charset="UTF-8"; name="test-suite.log"

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: unpack-valid
==================

diff: Missing newline at the end of file exp.
--- exp	2017-10-27 19:20:46.000000000 -0700
+++ out	2017-10-27 19:20:46.000000000 -0700
@@ -1 +0 @@
- banana
diff -u /dev/null err
--- /dev/null	1970-01-01
+++ err	1970-01-01
+
+gzip: test.z: not in gzip format
FAIL unpack-valid (exit status: 1)


--nextPart11523306.gUvtQsKH4H--





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 02:13:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 22:13:55 2017
Received: from localhost ([127.0.0.1]:37901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8GdG-0000CE-9y
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:13:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8GdD-0000C0-FR
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:13:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Gd5-0000RW-9v
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:13:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39894)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Gd5-0000RL-2h
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 22:13:43 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:45800)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Gd1-0001Wo-Iq
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 22:13:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Gcy-0000PV-0M
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 22:13:39 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::6]:15767)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Gcx-0000Nt-Bf
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 22:13:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509156813;
 s=domk; d=clisp.org;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=cixWI5K07y54sDm3WEnWxhi21Uhaex4AXOVsRFS3Iwo=;
 b=G21tFH5gcVdmmVyguHz7BSERGyhrvzSvMTG5nrtleO8gzm/X3KYC6uiv1EXr1ajiDJ
 xehZHkCa4thp1uTgCqOGywL7DwA1a8WWsA3Hqvi1IswYHqEw7R7gnI43Fy+YVe60Gf1Z
 1DSou1isEhDEPHL2fx1WKS0dK9t9gDL3BPSns=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S2DUQKU
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 04:13:30 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 04:13:30 +0200
Message-ID: <1696797.4KdPQipVZy@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="nextPart8932940.KGfIncWWgR"
Content-Transfer-Encoding: 7Bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.

--nextPart8932940.KGfIncWWgR
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

The 'timestamp' test is also failing on Solaris 10/x86_64 in 32-bit mode.
Logs attached.

--nextPart8932940.KGfIncWWgR
Content-Disposition: attachment; filename="log1"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log1"

checking for a BSD-compatible install... /opt/csw/bin/ginstall -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /opt/csw/bin/gmkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... cc -O
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... no
checking whether cc -O accepts -g... yes
checking for cc -O option to enable C11 features... unsupported
checking for cc -O option to enable C99 features... -D_STDC_C99=
checking whether cc -O -D_STDC_C99= understands -c and -o together... yes
checking dependency style of cc -O -D_STDC_C99=... none
checking how to run the C preprocessor... cc -O -D_STDC_C99= -E
checking for grep that handles long lines and -e... /opt/csw/bin/ggrep
checking for nm... nm
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for a POSIX-compliant shell... /bin/bash
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for sys/param.h... yes
checking for sys/socket.h... yes
checking for dirent.h... yes
checking for features.h... no
checking for getopt.h... yes
checking for sys/cdefs.h... no
checking for sys/time.h... yes
checking for limits.h... yes
checking for math.h... yes
checking for sys/mman.h... yes
checking for wchar.h... yes
checking for utime.h... yes
checking for crtdefs.h... no
checking for fcntl.h... yes
checking for memory.h... yes
checking for time.h... yes
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for egrep... /opt/csw/bin/ggrep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for _LARGEFILE_SOURCE value needed for large files... no
checking build system type... i386-pc-solaris2.10
checking host system type... i386-pc-solaris2.10
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking whether malloc, realloc, calloc are POSIX compliant... yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for strerror_r... yes
checking for fcntl... yes
checking for symlink... yes
checking for mempcpy... no
checking for vasnprintf... no
checking for snprintf... yes
checking for fpurge... no
checking for __fpurge... yes
checking for __freading... yes
checking for __fseterr... no
checking for fstatat... yes
checking for fsync... yes
checking for getdtablesize... yes
checking for getprogname... no
checking for getexecname... yes
checking for gettimeofday... yes
checking for nanotime... no
checking for lstat... yes
checking for mprotect... yes
checking for openat... yes
checking for __xpg_strerror_r... no
checking for strdup... yes
checking for catgets... yes
checking for pipe... yes
checking for unlinkat... yes
checking for utime... yes
checking for futimes... no
checking for futimesat... yes
checking for futimens... yes
checking for utimensat... yes
checking for lutimes... no
checking for chown... yes
checking for fchmod... yes
checking for fchown... yes
checking for siginterrupt... yes
checking whether the preprocessor supports include_next... no
checking whether system header files limit the line length... no
checking how cc -O -D_STDC_C99= reports undeclared, standard C functions... error
checking whether // is distinct from /... no
checking for complete errno.h... yes
checking whether strerror_r is declared... yes
checking whether strerror_r returns char *... no
checking whether fchdir is declared... yes
checking for working fcntl.h... yes
checking for pid_t... yes
checking for mode_t... yes
checking for promoted mode_t type... mode_t
checking whether fdatasync is declared... yes
checking for stdint.h... yes
checking for inttypes.h... yes
checking whether printf supports size specifiers as in C99... yes
checking whether printf supports 'long double' arguments... yes
checking whether printf supports infinite 'double' arguments... no
checking whether byte ordering is bigendian... no
checking whether long double and double are the same... no
checking whether printf supports infinite 'long double' arguments... no
checking whether printf supports the 'a' and 'A' directives... no
checking whether printf supports the 'F' directive... yes
checking whether printf supports the 'n' directive... yes
checking whether printf supports the 'ls' directive... no
checking whether printf supports POSIX/XSI format strings with positions... yes
checking whether printf supports the grouping flag... yes
checking whether printf supports the left-adjust flag correctly... yes
checking whether printf supports the zero flag correctly... no
checking whether printf supports large precisions... yes
checking whether printf survives out-of-memory conditions... yes
checking for unsigned long long int... yes
checking for long long int... yes
checking for wchar_t... yes
checking for wint_t... yes
checking whether wint_t is too small... no
checking for intmax_t... yes
checking where to find the exponent in a 'double'... word 1 bit 20
checking whether snprintf returns a byte count as in C99... yes
checking for snprintf... (cached) yes
checking for strnlen... no
checking for wcslen... yes
checking for wcsnlen... no
checking for mbrtowc... yes
checking for wcrtomb... yes
checking whether _snprintf is declared... no
checking whether frexp() can be used without linking with libm... yes
checking whether alarm is declared... yes
checking whether stdin defaults to large file offsets... yes
checking absolute name of <sys/types.h>... "///usr/include/sys/types.h"
checking whether fseeko is declared... yes
checking for fseeko... yes
checking whether fflush works on input streams... yes
checking whether stat file-mode macros are broken... no
checking absolute name of <sys/stat.h>... "///usr/include/sys/stat.h"
checking for nlink_t... yes
checking whether lstat correctly handles trailing slash... yes
checking whether ftello is declared... yes
checking for ftello... yes
checking whether ftello works... yes
checking whether getcwd (NULL, 0) allocates memory for result... no
checking for getcwd with POSIX signature... yes
checking whether getdtablesize is declared... yes
checking absolute name of <getopt.h>... "///usr/include/getopt.h"
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... no
checking for C/C++ restrict keyword... _Restrict
checking absolute name of <sys/time.h>... "///usr/include/sys/time.h"
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking host CPU and C ABI... i386
checking where to find the exponent in a 'float'... word 0 bit 23
checking absolute name of <limits.h>... "///usr/include/limits.h"
checking whether limits.h has ULLONG_WIDTH etc.... no
checking for non-GNU ld... /usr/ccs/bin/ld
checking if the linker (/usr/ccs/bin/ld) is GNU ld... no
checking for shared library run path origin... done
checking for the common suffixes of directories in the library search path... checking for 64-bit host... no
lib,lib
checking whether imported symbols can be declared weak... yes
checking for pthread.h... yes
checking for pthread_kill in -lpthread... yes
checking for multithread API to use... posix
checking for a sed that does not truncate output... /opt/csw/bin/gsed
checking for stdlib.h... yes
checking for GNU libc compatible malloc... yes
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking whether memrchr is declared... no
checking for O_CLOEXEC... no
checking whether strerror(0) succeeds... yes
checking for strerror_r with POSIX signature... yes
checking whether strerror_r works... no
checking for nl_langinfo... yes
checking for ptrdiff_t... yes
checking whether C symbols are prefixed with underscore at the linker level... grep: illegal option -- E
Usage: grep -hblcnsviw pattern file . . .
no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking absolute name of <stdint.h>... "///usr/include/stdint.h"
checking whether stdint.h conforms to C99... no
checking for sys/inttypes.h... yes
checking for sys/bitypes.h... no
checking for bit size of ptrdiff_t... 32
checking for bit size of size_t... 32
checking for bit size of sig_atomic_t... 32
checking for bit size of wchar_t... 32
checking for bit size of wint_t... 32
checking whether sig_atomic_t is signed... yes
checking whether wchar_t is signed... yes
checking whether wint_t is signed... yes
checking for ptrdiff_t integer literal suffix... 
checking for size_t integer literal suffix... u
checking for sig_atomic_t integer literal suffix... 
checking for wchar_t integer literal suffix... l
checking for wint_t integer literal suffix... l
checking whether strdup is declared... yes
checking absolute name of <string.h>... "///usr/include/string.h"
checking for struct timespec in <time.h>... yes
checking absolute name of <time.h>... "///usr/include/time.h"
checking whether the utimes function works... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for alloca as a compiler built-in... no
checking for GNU libc compatible calloc... yes
checking whether this system has an arbitrary file name length limit... yes
checking for library containing clock_gettime... -lrt
checking for clock_gettime... yes
checking for clock_settime... yes
checking for closedir... yes
checking absolute name of <dirent.h>... "///usr/include/dirent.h"
checking for dirfd... no
checking whether dirfd is declared... no
checking whether dirfd is a macro... no
checking how to get the file descriptor associated with an open DIR*... dd_fd
checking whether // is distinct from /... (cached) no
checking whether dup works... yes
checking whether dup2 works... yes
checking for error_at_line... no
checking whether fflush works on input streams... (cached) yes
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... no
checking absolute name of <fcntl.h>... "///usr/include/fcntl.h"
checking for library containing fdatasync... none required
checking whether fdopendir is declared... yes
checking whether fdopendir works... yes
checking whether fflush works on input streams... (cached) yes
checking whether conversion from 'int' to 'long double' works... yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking whether fpurge is declared... no
checking whether frexp works... yes
checking whether frexpl is declared... yes
checking whether frexpl() can be used without linking with libm... no
checking for fseeko... (cached) yes
checking whether fflush works on input streams... (cached) yes
checking whether fstatat (..., 0) works... yes
checking for ftello... (cached) yes
checking whether ftello works... (cached) yes
checking whether getdtablesize works... yes
checking whether program_invocation_name is declared... no
checking whether program_invocation_short_name is declared... no
checking whether __argv is declared... no
checking whether __progname is defined in default libraries... 
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... yes
checking whether isnan(double) can be used without linking with libm... yes
checking whether isnan(float) can be used without linking with libm... yes
checking whether isnan(float) works... yes
checking whether isnan(long double) can be used without linking with libm... yes
checking whether isnanl works... yes
checking for C compiler flag to ignore unused libraries... -Wl,-z,ignore
checking for pthread_rwlock_t... yes
checking whether pthread_rwlock_rdlock prefers a writer to a reader... yes
checking whether lseek detects pipes... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking absolute name of <math.h>... "///usr/include/math.h"
checking whether NAN macro works... yes
checking whether HUGE_VAL works... yes
checking for mempcpy... (cached) no
checking for memrchr... no
checking whether open recognizes a trailing slash... yes
checking for opendir... yes
checking whether frexp works... (cached) yes
checking whether ldexp can be used without linking with libm... yes
checking whether frexpl() can be used without linking with libm... (cached) no
checking whether ldexpl() can be used without linking with libm... no
checking for readdir... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking whether rmdir works... yes
checking for signbit macro... yes
checking for signbit compiler built-ins... no
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for ssize_t... yes
checking whether stat handles trailing slashes on files... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for struct stat.st_birthtimespec.tv_nsec... no
checking for struct stat.st_birthtimensec... no
checking for struct stat.st_birthtim.tv_nsec... no
checking for max_align_t... no
checking whether NULL can be used in arbitrary expressions... yes
checking absolute name of <stddef.h>... "///usr/include/stddef.h"
checking absolute name of <stdio.h>... "///usr/include/stdio.h"
checking which flavor of printf attribute matches inttypes macros... system
checking absolute name of <stdlib.h>... "///usr/include/stdlib.h"
checking for stpcpy... no
checking for working strerror function... yes
checking absolute name of <sys/stat.h>... (cached) "///usr/include/sys/stat.h"
checking for nlink_t... (cached) yes
checking absolute name of <unistd.h>... "///usr/include/unistd.h"
checking whether unlink honors trailing slashes... yes
checking whether unlink of a parent directory fails as it should... guessing yes
checking absolute name of <utime.h>... "///usr/include/utime.h"
checking for ptrdiff_t... (cached) yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking absolute name of <wchar.h>... "///usr/include/wchar.h"
checking for stdint.h... (cached) yes
checking for underline in external names... no
checking for an assembler syntax supported by this package... yes
checking for library containing strerror... none required
checking for an ANSI C-conforming const... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking return type of signal handlers... void
checking for size_t... (cached) yes
checking for off_t... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating lib/Makefile
config.status: creating tests/Makefile
config.status: creating lib/config.h
config.status: linking ../GNUmakefile to GNUmakefile
config.status: executing depfiles commands

--nextPart8932940.KGfIncWWgR
Content-Disposition: attachment; filename="log2"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log2"

  GEN      version.c
  GEN      version.h
make  all-recursive
Making all in lib
  GEN      dirent.h
  GEN      fcntl.h
  GEN      getopt.h
  GEN      getopt-cdefs.h
  GEN      limits.h
  GEN      math.h
  GEN      stddef.h
  GEN      stdint.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  GEN      wchar.h
make  all-am
  CC       cloexec.o
  CC       opendir-safer.o
  CC       dirname-lgpl.o
  CC       basename-lgpl.o
  CC       stripslash.o
  CC       exitfail.o
  CC       creat-safer.o
  CC       open-safer.o
  CC       fd-hook.o
  CC       fd-safer-flag.o
  CC       dup-safer-flag.o
  CC       filenamecat-lgpl.o
  CC       freading.o
  CC       getprogname.o
  CC       gettime.o
  CC       glthread/lock.o
  CC       malloca.o
  CC       math.o
  CC       openat-die.o
  CC       openat-safer.o
  CC       printf-frexp.o
  CC       printf-frexpl.o
  CC       save-cwd.o
  CC       savedir.o
  CC       stat-time.o
  CC       statat.o
  CC       glthread/threadlib.o
  CC       timespec.o
  CC       unistd.o
  CC       dup-safer.o
  CC       fd-safer.o
  CC       pipe-safer.o
  CC       utimens.o
  CC       xmalloc.o
  CC       xalloc-die.o
  CC       xsize.o
  CC       yesno.o
  CC       asnprintf.o
  CC       chdir-long.o
  CC       dirfd.o
  CC       error.o
  CC       fcntl.o
  CC       fprintf.o
  CC       fpurge.o
  CC       frexpl.o
  CC       fseterr.o
  CC       getcwd-lgpl.o
  CC       getopt.o
  CC       getopt1.o
  CC       localtime-buffer.o
  CC       mempcpy.o
  CC       memrchr.o
  CC       open.o
  CC       openat.o
  CC       openat-proc.o
  CC       perror.o
  CC       printf.o
  CC       printf-args.o
  CC       printf-parse.o
  CC       stpcpy.o
  CC       strerror.o
  CC       strerror_r.o
  CC       vasnprintf.o
  CC       vfprintf.o
  GEN      match.o
  AR       libgzip.a
Making all in doc
Making all in .
  CC       version.o
  AR       libver.a
  CC       bits.o
  CC       deflate.o
  CC       gzip.o
  CC       inflate.o
  CC       lzw.o
  CC       trees.o
  CC       unlzh.o
  CC       unlzw.o
  CC       unpack.o
  CC       unzip.o
  CC       util.o
  CC       zip.o
  CCLD     gzip
  GEN      gunzip
  GEN      gzexe
  GEN      zcat
  GEN      zcmp
  GEN      zdiff
  GEN      zegrep
  GEN      zfgrep
  GEN      zforce
  GEN      zgrep
  GEN      zless
  GEN      zmore
  GEN      znew
Making all in tests

--nextPart8932940.KGfIncWWgR
Content-Disposition: attachment; filename="log3"
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"; name="log3"

make  check-recursive
Making check in lib
make  check-am
Making check in doc
Making check in .
make  check-local
  GEN      gzip.doc.gz
  GEN      check-local
Making check in tests
make  check-TESTS
PASS: gzip-env
PASS: helin-segv
PASS: help-version
PASS: hufts
PASS: keep
PASS: list
PASS: memcpy-abuse
PASS: mixed
PASS: null-suffix-clobber
PASS: stdin
=46AIL: timestamp
PASS: trailing-nul
PASS: unpack-invalid
PASS: unpack-valid
PASS: z-suffix
PASS: zdiff
PASS: zgrep-f
PASS: zgrep-context
PASS: zgrep-signal
PASS: znew-k
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
Testsuite summary for gzip 1.8.32-4606
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D
*** Error code 1
The following command caused the error:
case $- in *e*) set +e;; esac; {  mgn=3D red=3D grn=3D lgn=3D blu=3D brg=3D=
 std=3D;  am__color_tests=3Dno;  if test "X" =3D Xno; then  am__color_tests=
=3Dno;  elif test "X" =3D Xalways; then  am__color_tests=3Dyes;  elif test =
"X$TERM" !=3D Xdumb && { test -t 1; } 2>/dev/null; then  am__color_tests=3D=
yes;  fi;  if test $am__color_tests =3D yes; then  red=3D'=1B[0;31m';  grn=
=3D'=1B[0;32m';  lgn=3D'=1B[1;32m';  blu=3D'=1B[1;34m';  mgn=3D'=1B[0;35m';=
  brg=3D'=1B[1m';  std=3D'=1B[m';  fi;  }; bases=3D'gzip-env.log helin-segv=
=2Elog help-version.log hufts.log keep.log list.log memcpy-abuse.log mixed.=
log null-suffix-clobber.log stdin.log timestamp.log trailing-nul.log unpack=
=2Dinvalid.log unpack-valid.log z-suffix.log zdiff.log zgrep-f.log zgrep-co=
ntext.log zgrep-signal.log znew-k.log';  bases=3D`for i in $bases; do echo =
$i; done | sed 's/\.log$//'`;  bases=3D`echo $bases`; \
ws=3D'[ 	]'; \
results=3D`for b in $bases; do echo $b.trs; done`; \
test -n "$results" || results=3D/dev/null; \
all=3D`  grep "^$ws*:test-result:"           $results | wc -l`; \
pass=3D` grep "^$ws*:test-result:$ws*PASS"  $results | wc -l`; \
fail=3D` grep "^$ws*:test-result:$ws*FAIL"  $results | wc -l`; \
skip=3D` grep "^$ws*:test-result:$ws*SKIP"  $results | wc -l`; \
xfail=3D`grep "^$ws*:test-result:$ws*XFAIL" $results | wc -l`; \
xpass=3D`grep "^$ws*:test-result:$ws*XPASS" $results | wc -l`; \
error=3D`grep "^$ws*:test-result:$ws*ERROR" $results | wc -l`; \
if test `expr $fail + $xpass + $error` -eq 0; then \
  success=3Dtrue; \
else \
  success=3Dfalse; \
fi; \
br=3D'=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D'; br=3D$br$=
br$br$br; \
result_count () \
{ \
    if test x"$1" =3D x"--maybe-color"; then \
      maybe_colorize=3Dyes; \
    elif test x"$1" =3D x"--no-color"; then \
      maybe_colorize=3Dno; \
    else \
      echo "test-suite.log: invalid 'result_count' usage" >&2; exit 4; \
    fi; \
    shift; \
    desc=3D$1 count=3D$2; \
    if test $maybe_colorize =3D yes && test $count -gt 0; then \
      color_start=3D$3 color_end=3D$std; \
    else \
      color_start=3D color_end=3D; \
    fi; \
    echo "${color_start}# $desc $count${color_end}"; \
}; \
create_testsuite_report () \
{ \
  result_count $1 "TOTAL:" $all   "$brg"; \
  result_count $1 "PASS: " $pass  "$grn"; \
  result_count $1 "SKIP: " $skip  "$blu"; \
  result_count $1 "XFAIL:" $xfail "$lgn"; \
  result_count $1 "FAIL: " $fail  "$red"; \
  result_count $1 "XPASS:" $xpass "$red"; \
  result_count $1 "ERROR:" $error "$mgn"; \
}; \
{								\
  echo "gzip 1.8.32-4606: tests/test-suite.log" |	\
    { sed 's/.*/   &   /;h;s/./=3D/g;p;x;s/ *$//;p;g' && echo; };						\
  create_testsuite_report --no-color;				\
  echo;								\
  echo ".. contents:: :depth: 2";				\
  echo;								\
  for b in $bases; do echo $b; done				\
    | gawk '  function fatal(msg)  {  print "fatal: making test-suite.log: =
" msg | "cat >&2";  exit 1;  }  function rst_section(header)  {  print head=
er;  len =3D length(header);  for (i =3D 1; i <=3D len; i =3D i + 1)  print=
f "=3D";  printf "\n\n";  }  {  copy_in_global_log =3D 1;  global_test_resu=
lt =3D "RUN";  while ((rc =3D (getline line < ($0 ".trs"))) !=3D 0)  {  if =
(rc < 0)  fatal("failed to read from " $0 ".trs");  if (line ~ /^[ 	]*:glob=
al-test-result:[ 	]*/)  {  sub("^[ 	]*:global-test-result:[ 	]*", "", line)=
;  sub("[ 	]*$", "", line);  global_test_result =3D line;  }  else if (line=
 ~ /^[ 	]*:copy-in-global-log:[ 	]*[nN][oO]/)  copy_in_global_log =3D 0;  }=
;  if (copy_in_global_log)  {  rst_section(global_test_result ": " $0);  wh=
ile ((rc =3D (getline line < ($0 ".log"))) !=3D 0)  {  if (rc < 0)  fatal("=
failed to read from " $0 ".log");  print line;  };  printf "\n";  };  close=
 ($0 ".trs");  close ($0 ".log");  }';					\
} >test-suite.log.tmp || exit 1;				\
mv test-suite.log.tmp test-suite.log;			\
if $success; then						\
  col=3D"$grn";							\
 else								\
  col=3D"$red";							\
  test x"$VERBOSE" =3D x || cat test-suite.log;		\
fi;								\
echo "${col}$br${std}"; 					\
echo "${col}Testsuite summary for gzip 1.8.32-4606${std}";	\
echo "${col}$br${std}"; 					\
create_testsuite_report --maybe-color;				\
echo "$col$br$std";						\
if $success; then :; else					\
  echo "${col}See tests/test-suite.log${std}";		\
  if test -n "bug-gzip@HIDDEN"; then			\
    echo "${col}Please report to bug-gzip@HIDDEN${std}";	\
  fi;								\
  echo "$col$br$std";					\
fi;								\
$success || exit 1
make: Fatal error: Command failed for target `test-suite.log'
Current working directory /home/haible/gzip-1.8.32-4606/build-x86-32-cc/tes=
ts
*** Error code 1
The following command caused the error:
set +e; bases=3D'gzip-env.log				 helin-segv.log				 help-version.log				 h=
ufts.log					 keep.log					 list.log					 memcpy-abuse.log				 mixed.log			=
		 null-suffix-clobber.log			 stdin.log					 timestamp.log				 trailing-nul=
=2Elog				 unpack-invalid.log			 unpack-valid.log				 z-suffix.log				 zdif=
f.log					 zgrep-f.log				 zgrep-context.log				 zgrep-signal.log				 znew-=
k.log';  bases=3D`for i in $bases; do echo $i; done | sed 's/\.log$//'`;  b=
ases=3D`echo $bases`; \
log_list=3D`for i in $bases; do echo $i.log; done`; \
trs_list=3D`for i in $bases; do echo $i.trs; done`; \
log_list=3D`echo $log_list`; trs_list=3D`echo $trs_list`; \
make  test-suite.log TEST_LOGS=3D"$log_list"; \
exit $?;
make: Fatal error: Command failed for target `check-TESTS'
Current working directory /home/haible/gzip-1.8.32-4606/build-x86-32-cc/tes=
ts
*** Error code 1
make: Fatal error: Command failed for target `check-am'
Current working directory /home/haible/gzip-1.8.32-4606/build-x86-32-cc/tes=
ts
*** Error code 1
The following command caused the error:
fail=3D; \
if (target_option=3Dk; case ${target_option-} in  ?) ;;  *) echo "am__make_=
running_with_option: internal error: invalid"  "target option '${target_opt=
ion-}' specified" >&2;  exit 1;;  esac;  has_opt=3Dno;  sane_makeflags=3D$M=
AKEFLAGS;  if {  if test -z '1'; then  false;  elif test -n ''; then  true;=
  elif test -n '' && test -n ''; then  true;  else  false;  fi;  }; then  s=
ane_makeflags=3D$MFLAGS;  else  case $MAKEFLAGS in  *\\[\ \	]*)  bs=3D\\;  =
sane_makeflags=3D`printf '%s\n' "$MAKEFLAGS"  | sed "s/$bs$bs[$bs $bs	]*//g=
"`;;  esac;  fi;  skip_next=3Dno;  strip_trailopt ()  {  flg=3D`printf '%s\=
n' "$flg" | sed "s/$1.*$//"`;  };  for flg in $sane_makeflags; do  test $sk=
ip_next =3D yes && { skip_next=3Dno; continue; };  case $flg in  *=3D*|--*)=
 continue;;  -*I) strip_trailopt 'I'; skip_next=3Dyes;;  -*I?*) strip_trail=
opt 'I';;  -*O) strip_trailopt 'O'; skip_next=3Dyes;;  -*O?*) strip_trailop=
t 'O';;  -*l) strip_trailopt 'l'; skip_next=3Dyes;;  -*l?*) strip_trailopt =
'l';;  -[dEDm]) skip_next=3Dyes;;  -[JT]) skip_next=3Dyes;;  esac;  case $f=
lg in  *$target_option*) has_opt=3Dyes; break;;  esac;  done;  test $has_op=
t =3D yes); then \
  failcom=3D'fail=3Dyes'; \
else \
  failcom=3D'exit 1'; \
fi; \
dot_seen=3Dno; \
target=3D`echo check-recursive | sed s/-recursive//`; \
case "check-recursive" in \
  distclean-* | maintainer-clean-*) list=3D'lib doc . tests' ;; \
  *) list=3D'lib doc . tests' ;; \
esac; \
for subdir in $list; do \
  echo "Making $target in $subdir"; \
  if test "$subdir" =3D "."; then \
    dot_seen=3Dyes; \
    local_target=3D"$target-am"; \
  else \
    local_target=3D"$target"; \
  fi; \
  (CDPATH=3D"${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \
  || eval $failcom; \
done; \
if test "$dot_seen" =3D "no"; then \
  make  "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /home/haible/gzip-1.8.32-4606/build-x86-32-cc
*** Error code 1
make: Fatal error: Command failed for target `check'

--nextPart8932940.KGfIncWWgR
Content-Disposition: attachment; filename="test-suite.log"
Content-Transfer-Encoding: 7Bit
Content-Type: text/x-log; charset="UTF-8"; name="test-suite.log"

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

touch: bad time specification
touch: bad time specification
gzip: in: warning: file timestamp out of range for gzip format
touch: bad time specification
touch: bad time specification
touch: bad time specification
touch: bad time specification
method  crc     date  time           compressed        uncompressed  ratio uncompressed_name
defla 00000000 Oct 28 01:55                  20                   0   0.0% stdout
FAIL timestamp (exit status: 1)


--nextPart8932940.KGfIncWWgR--





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 01:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 21:14:37 2017
Received: from localhost ([127.0.0.1]:37894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8Fhs-0007C6-BA
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:14:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8Fho-0007BP-UX
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:14:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Fhg-0002V1-CW
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:14:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40130)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Fhg-0002Uv-5V
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:14:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34958)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Fhc-0003Ee-MY
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:14:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FhY-0002QL-PH
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:14:20 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::2]:31630)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8FhY-0002Pd-8b
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:14:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509153255;
 s=domk; d=clisp.org;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=ldtbU4MF8Z4PVhovDv2c2HynXS91tsCMXxMlFXNCLTU=;
 b=sQuvpl/zpLug1mSoDdcnxCxNQ2WR2AMjOa2atOiqSZZnMCLJ3M2hxUWBQNdoqYDbp8
 yttzUPYhuWX/bfnaQGpvhCvPpj0wA7t03+LpZ38ztRA5q+d1+8n9Oro4Du2Kej5DvqHG
 ndOxDZZsE5V5li4vgzZ/7+eRBWaP+BlGPlpHY=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S1EEQDi
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 03:14:14 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 03:14:14 +0200
Message-ID: <2866687.D9ZRjK55A4@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="nextPart2215853.8eL85XIXdy"
Content-Transfer-Encoding: 7Bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.

--nextPart2215853.8eL85XIXdy
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

On GNU/Hurd (with touch 8.26 and glibc 2.24) the 'timestamp' test fails.
Logs attached.

--nextPart2215853.8eL85XIXdy
Content-Disposition: attachment; filename="log1"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log1"

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for nm... nm
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for a POSIX-compliant shell... /bin/sh
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for sys/param.h... yes
checking for sys/socket.h... yes
checking for dirent.h... yes
checking for features.h... yes
checking for getopt.h... yes
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for limits.h... yes
checking for math.h... yes
checking for sys/mman.h... yes
checking for wchar.h... yes
checking for utime.h... yes
checking for crtdefs.h... no
checking for fcntl.h... yes
checking for memory.h... yes
checking for time.h... yes
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for egrep... /bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for _LARGEFILE_SOURCE value needed for large files... no
checking build system type... i686-unknown-gnu0.9
checking host system type... i686-unknown-gnu0.9
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for size_t... yes
checking for working alloca.h... yes
checking for alloca... yes
checking whether malloc, realloc, calloc are POSIX compliant... yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for strerror_r... yes
checking for fcntl... yes
checking for symlink... yes
checking for mempcpy... yes
checking for vasnprintf... no
checking for snprintf... yes
checking for fpurge... no
checking for __fpurge... yes
checking for __freading... yes
checking for __fseterr... no
checking for fstatat... yes
checking for fsync... yes
checking for getdtablesize... yes
checking for getprogname... no
checking for getexecname... no
checking for gettimeofday... yes
checking for nanotime... no
checking for lstat... yes
checking for mprotect... yes
checking for openat... yes
checking for __xpg_strerror_r... yes
checking for strdup... yes
checking for catgets... yes
checking for pipe... yes
checking for unlinkat... yes
checking for utime... yes
checking for futimes... yes
checking for futimesat... no
checking for futimens... yes
checking for utimensat... no
checking for lutimes... yes
checking for chown... yes
checking for fchmod... yes
checking for fchown... yes
checking for siginterrupt... yes
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking how gcc reports undeclared, standard C functions... error
checking whether // is distinct from /... no
checking for complete errno.h... yes
checking whether strerror_r is declared... yes
checking whether strerror_r returns char *... yes
checking whether fchdir is declared... yes
checking for working fcntl.h... yes
checking for pid_t... yes
checking for mode_t... yes
checking for promoted mode_t type... mode_t
checking whether fdatasync is declared... yes
checking for stdint.h... yes
checking for inttypes.h... yes
checking whether printf supports size specifiers as in C99... yes
checking whether printf supports 'long double' arguments... yes
checking whether printf supports infinite 'double' arguments... yes
checking whether byte ordering is bigendian... no
checking whether long double and double are the same... no
checking whether printf supports infinite 'long double' arguments... yes
checking whether printf supports the 'a' and 'A' directives... yes
checking whether printf supports the 'F' directive... yes
checking whether printf supports the 'n' directive... yes
checking whether printf supports the 'ls' directive... yes
checking whether printf supports POSIX/XSI format strings with positions... yes
checking whether printf supports the grouping flag... yes
checking whether printf supports the left-adjust flag correctly... yes
checking whether printf supports the zero flag correctly... yes
checking whether printf supports large precisions... yes
checking whether printf survives out-of-memory conditions... yes
checking for unsigned long long int... yes
checking for long long int... yes
checking for wchar_t... yes
checking for wint_t... yes
checking whether wint_t is too small... no
checking for intmax_t... yes
checking where to find the exponent in a 'double'... word 1 bit 20
checking whether snprintf returns a byte count as in C99... yes
checking for snprintf... (cached) yes
checking for strnlen... yes
checking for wcslen... yes
checking for wcsnlen... yes
checking for mbrtowc... yes
checking for wcrtomb... yes
checking whether _snprintf is declared... no
checking whether frexp() can be used without linking with libm... yes
checking whether alarm is declared... yes
checking whether stdin defaults to large file offsets... yes
checking whether fseeko is declared... yes
checking for fseeko... yes
checking whether fflush works on input streams... no
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking whether lstat correctly handles trailing slash... yes
checking whether ftello is declared... yes
checking for ftello... yes
checking whether ftello works... yes
checking whether getcwd (NULL, 0) allocates memory for result... yes
checking for getcwd with POSIX signature... yes
checking whether getdtablesize is declared... yes
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... yes
checking for working GNU getopt_long function... yes
checking for C/C++ restrict keyword... __restrict
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking host CPU and C ABI... i386
checking where to find the exponent in a 'float'... word 0 bit 23
checking whether limits.h has ULLONG_WIDTH etc.... no
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for the common suffixes of directories in the library search path... lib,lib
checking whether imported symbols can be declared weak... yes
checking for pthread.h... yes
checking for multithread API to use... posix
checking for a sed that does not truncate output... /bin/sed
checking for stdlib.h... yes
checking for GNU libc compatible malloc... yes
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking whether memrchr is declared... yes
checking for O_CLOEXEC... yes
checking whether strerror(0) succeeds... yes
checking for strerror_r with POSIX signature... no
checking whether __xpg_strerror_r works... no
checking whether C symbols are prefixed with underscore at the linker level... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking whether stdint.h conforms to C99... yes
checking whether stdint.h predates C++11... no
checking whether stdint.h has UINTMAX_WIDTH etc.... no
checking whether strdup is declared... yes
checking for struct timespec in <time.h>... yes
checking whether the utimes function works... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for alloca as a compiler built-in... yes
checking for GNU libc compatible calloc... yes
checking whether this system has an arbitrary file name length limit... no
checking for library containing clock_gettime... none required
checking for clock_gettime... yes
checking for clock_settime... yes
checking for closedir... yes
checking for dirfd... yes
checking whether dirfd is declared... yes
checking whether dirfd is a macro... no
checking whether // is distinct from /... (cached) no
checking whether dup works... yes
checking whether dup2 works... yes
checking for error_at_line... yes
checking whether fflush works on input streams... (cached) no
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... yes
checking for library containing fdatasync... none required
checking whether fdopendir is declared... yes
checking whether fdopendir works... no
checking whether fflush works on input streams... (cached) no
checking whether conversion from 'int' to 'long double' works... yes
checking whether fpurge is declared... no
checking whether frexp works... yes
checking whether frexpl is declared... yes
checking whether frexpl() can be used without linking with libm... yes
checking whether frexpl works... yes
checking for fseeko... (cached) yes
checking whether fflush works on input streams... (cached) no
checking for _fseeki64... no
checking whether fstatat (..., 0) works... yes
checking for ftello... (cached) yes
checking whether ftello works... (cached) yes
checking whether getdtablesize works... yes
checking whether program_invocation_name is declared... yes
checking whether program_invocation_short_name is declared... yes
checking whether __argv is declared... no
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... almost
checking whether isnan(double) can be used without linking with libm... yes
checking whether isnan(float) can be used without linking with libm... yes
checking whether isnan(float) works... yes
checking whether isnan(long double) can be used without linking with libm... yes
checking whether isnanl works... yes
checking for C compiler flag to ignore unused libraries... -Wl,--as-needed
checking for pthread_rwlock_t... yes
checking whether pthread_rwlock_rdlock prefers a writer to a reader... no
checking whether lseek detects pipes... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking whether NAN macro works... yes
checking whether HUGE_VAL works... yes
checking for mempcpy... (cached) yes
checking for memrchr... yes
checking whether open recognizes a trailing slash... yes
checking for opendir... yes
checking whether frexp works... (cached) yes
checking whether ldexp can be used without linking with libm... yes
checking whether frexpl() can be used without linking with libm... (cached) yes
checking whether frexpl works... (cached) yes
checking whether frexpl is declared... (cached) yes
checking whether ldexpl() can be used without linking with libm... yes
checking whether ldexpl works... yes
checking whether ldexpl is declared... yes
checking for readdir... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking whether rmdir works... yes
checking for signbit macro... yes
checking for signbit compiler built-ins... yes
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for ssize_t... yes
checking whether stat handles trailing slashes on files... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for struct stat.st_birthtimespec.tv_nsec... no
checking for struct stat.st_birthtimensec... no
checking for struct stat.st_birthtim.tv_nsec... no
checking for max_align_t... yes
checking whether NULL can be used in arbitrary expressions... yes
checking which flavor of printf attribute matches inttypes macros... system
checking for stpcpy... yes
checking for working strerror function... yes
checking for nlink_t... (cached) yes
checking whether unlink honors trailing slashes... no
checking whether unlink of a parent directory fails as it should... guessing yes
checking for ptrdiff_t... yes
checking for stdint.h... (cached) yes
checking for underline in external names... no
checking for an assembler syntax supported by this package... yes, with -Wa,--noexecstack
checking for library containing strerror... none required
checking for an ANSI C-conforming const... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking return type of signal handlers... void
checking for size_t... (cached) yes
checking for off_t... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating lib/Makefile
config.status: creating tests/Makefile
config.status: creating lib/config.h
config.status: linking ../GNUmakefile to GNUmakefile
config.status: executing depfiles commands

--nextPart2215853.8eL85XIXdy
Content-Disposition: attachment; filename="log2"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log2"

  GEN      version.c
  GEN      version.h
make  all-recursive
make[1]: Entering directory '/root/gzip-1.8.32-4606/build'
Making all in lib
make[2]: Entering directory '/root/gzip-1.8.32-4606/build/lib'
  GEN      alloca.h
  GEN      dirent.h
  GEN      fcntl.h
  GEN      limits.h
  GEN      math.h
  GEN      stdint.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  GEN      wchar.h
make  all-am
make[3]: Entering directory '/root/gzip-1.8.32-4606/build/lib'
  CC       cloexec.o
  CC       opendir-safer.o
  CC       dirname-lgpl.o
  CC       basename-lgpl.o
  CC       stripslash.o
  CC       exitfail.o
  CC       creat-safer.o
  CC       open-safer.o
  CC       fd-hook.o
  CC       fd-safer-flag.o
  CC       dup-safer-flag.o
  CC       filenamecat-lgpl.o
  CC       freading.o
  CC       getprogname.o
  CC       gettime.o
  CC       glthread/lock.o
  CC       malloca.o
  CC       math.o
  CC       openat-die.o
  CC       openat-safer.o
  CC       printf-frexp.o
  CC       printf-frexpl.o
  CC       save-cwd.o
  CC       savedir.o
  CC       stat-time.o
  CC       statat.o
  CC       glthread/threadlib.o
  CC       timespec.o
  CC       unistd.o
  CC       dup-safer.o
  CC       fd-safer.o
  CC       pipe-safer.o
  CC       utimens.o
  CC       xmalloc.o
  CC       xalloc-die.o
  CC       xsize.o
  CC       yesno.o
  CC       asnprintf.o
  CC       fclose.o
  CC       fdopendir.o
  CC       fflush.o
  CC       fpurge.o
  CC       fseek.o
  CC       fseeko.o
  CC       fseterr.o
  CC       localtime-buffer.o
  CC       openat-proc.o
  CC       perror.o
  CC       printf-args.o
  CC       printf-parse.o
  CC       strerror.o
  CC       strerror_r.o
  CC       unlink.o
  CC       unlinkat.o
  CC       vasnprintf.o
  GEN      match.o
  AR       libgzip.a
make[3]: Leaving directory '/root/gzip-1.8.32-4606/build/lib'
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build/lib'
Making all in doc
make[2]: Entering directory '/root/gzip-1.8.32-4606/build/doc'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build/doc'
Making all in .
make[2]: Entering directory '/root/gzip-1.8.32-4606/build'
  CC       version.o
  AR       libver.a
  CC       bits.o
  CC       deflate.o
  CC       gzip.o
  CC       inflate.o
  CC       lzw.o
  CC       trees.o
  CC       unlzh.o
  CC       unlzw.o
  CC       unpack.o
  CC       unzip.o
  CC       util.o
  CC       zip.o
  CCLD     gzip
  GEN      gunzip
  GEN      gzexe
  GEN      zcat
  GEN      zcmp
  GEN      zdiff
  GEN      zegrep
  GEN      zfgrep
  GEN      zforce
  GEN      zgrep
  GEN      zless
  GEN      zmore
  GEN      znew
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build'
Making all in tests
make[2]: Entering directory '/root/gzip-1.8.32-4606/build/tests'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build/tests'
make[1]: Leaving directory '/root/gzip-1.8.32-4606/build'

--nextPart2215853.8eL85XIXdy
Content-Disposition: attachment; filename="log3"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log3"

  GEN      public-submodule-commit
make  check-recursive
make[1]: Entering directory '/root/gzip-1.8.32-4606/build'
Making check in lib
make[2]: Entering directory '/root/gzip-1.8.32-4606/build/lib'
make  check-am
make[3]: Entering directory '/root/gzip-1.8.32-4606/build/lib'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/root/gzip-1.8.32-4606/build/lib'
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build/lib'
Making check in doc
make[2]: Entering directory '/root/gzip-1.8.32-4606/build/doc'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build/doc'
Making check in .
make[2]: Entering directory '/root/gzip-1.8.32-4606/build'
make  check-local
make[3]: Entering directory '/root/gzip-1.8.32-4606/build'
  GEN      gzip.doc.gz
  GEN      check-local
make[3]: Leaving directory '/root/gzip-1.8.32-4606/build'
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build'
Making check in tests
make[2]: Entering directory '/root/gzip-1.8.32-4606/build/tests'
make  check-TESTS
make[3]: Entering directory '/root/gzip-1.8.32-4606/build/tests'
make[4]: Entering directory '/root/gzip-1.8.32-4606/build/tests'
PASS: gzip-env
PASS: helin-segv
PASS: help-version
PASS: hufts
PASS: keep
PASS: list
PASS: memcpy-abuse
PASS: mixed
PASS: null-suffix-clobber
PASS: stdin
FAIL: timestamp
PASS: trailing-nul
PASS: unpack-invalid
PASS: unpack-valid
PASS: z-suffix
PASS: zdiff
PASS: zgrep-f
PASS: zgrep-context
PASS: zgrep-signal
PASS: znew-k
============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

++ initial_cwd_=/root/gzip-1.8.32-4606/build/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /root/gzip-1.8.32-4606/build/tests gt-timestamp.XXXX
+++ case $# in
+++ destdir_=/root/gzip-1.8.32-4606/build/tests
+++ template_=gt-timestamp.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/root/gzip-1.8.32-4606/build/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+++ case $d in
+++ :
+++ test -d /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
++++ ls -dgo /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+++ perms='drwx------ 2 4096 Oct 27 20:50 /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj'
+++ case $perms in
+++ :
+++ echo /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+++ return
++ test_dir_=/root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
++ cd /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/root/gzip-1.8.32-4606/build/tests/..
+ case $abs_path_dir_ in
+ PATH=/root/gzip-1.8.32-4606/build/tests/..:/root/gzip-1.8.32-4606/build:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ create_exe_shims_ /root/gzip-1.8.32-4606/build/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ TZ=UTC0
+ export TZ
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 190101010000 in
touch: invalid date format '190101010000'
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 196912312359.59 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 197001010000 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 210602070628.16 in
touch: invalid date format '210602070628.16'
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 197001010000.01 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.07 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.08 in
touch: invalid date format '203801190314.08'
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 210602070628.15 in
touch: invalid date format '210602070628.15'
+ rm -f in.gz in
+ touch -t 210602070628.15 in
touch: invalid date format '210602070628.15'
+ printf '\037\213\10\0\377\377\377\377\0\377\3\0\0\0\0\0\0\0\0\0'
+ returns_ 2 gzip -Nlv
method  crc     date  time           compressed        uncompressed  ratio uncompressed_name
defla 00000000 Oct 28 00:50                  20                   0   0.0% stdout
+ fail=1
+ :
+ gzip --no-name
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /root/gzip-1.8.32-4606/build/tests
+ chmod -R u+rwx /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+ rm -rf /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+ exit 1
FAIL timestamp (exit status: 1)

============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
============================================================================
Makefile:1643: recipe for target 'test-suite.log' failed
make[4]: *** [test-suite.log] Error 1
make[4]: Leaving directory '/root/gzip-1.8.32-4606/build/tests'
Makefile:1749: recipe for target 'check-TESTS' failed
make[3]: *** [check-TESTS] Error 2
make[3]: Leaving directory '/root/gzip-1.8.32-4606/build/tests'
Makefile:1955: recipe for target 'check-am' failed
make[2]: *** [check-am] Error 2
make[2]: Leaving directory '/root/gzip-1.8.32-4606/build/tests'
Makefile:1744: recipe for target 'check-recursive' failed
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory '/root/gzip-1.8.32-4606/build'
Makefile:2022: recipe for target 'check' failed
make: *** [check] Error 2

--nextPart2215853.8eL85XIXdy
Content-Disposition: attachment; filename="test-suite.log"
Content-Transfer-Encoding: 7Bit
Content-Type: text/x-log; charset="UTF-8"; name="test-suite.log"

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

++ initial_cwd_=/root/gzip-1.8.32-4606/build/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /root/gzip-1.8.32-4606/build/tests gt-timestamp.XXXX
+++ case $# in
+++ destdir_=/root/gzip-1.8.32-4606/build/tests
+++ template_=gt-timestamp.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/root/gzip-1.8.32-4606/build/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+++ case $d in
+++ :
+++ test -d /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
++++ ls -dgo /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+++ perms='drwx------ 2 4096 Oct 27 20:50 /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj'
+++ case $perms in
+++ :
+++ echo /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+++ return
++ test_dir_=/root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
++ cd /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
++ gl_init_sh_nl_='
'
++ IFS=' 	
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/root/gzip-1.8.32-4606/build/tests/..
+ case $abs_path_dir_ in
+ PATH=/root/gzip-1.8.32-4606/build/tests/..:/root/gzip-1.8.32-4606/build:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
+ create_exe_shims_ /root/gzip-1.8.32-4606/build/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ TZ=UTC0
+ export TZ
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 190101010000 in
touch: invalid date format '190101010000'
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 196912312359.59 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 197001010000 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 210602070628.16 in
touch: invalid date format '210602070628.16'
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 197001010000.01 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.07 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.08 in
touch: invalid date format '203801190314.08'
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 210602070628.15 in
touch: invalid date format '210602070628.15'
+ rm -f in.gz in
+ touch -t 210602070628.15 in
touch: invalid date format '210602070628.15'
+ printf '\037\213\10\0\377\377\377\377\0\377\3\0\0\0\0\0\0\0\0\0'
+ returns_ 2 gzip -Nlv
method  crc     date  time           compressed        uncompressed  ratio uncompressed_name
defla 00000000 Oct 28 00:50                  20                   0   0.0% stdout
+ fail=1
+ :
+ gzip --no-name
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /root/gzip-1.8.32-4606/build/tests
+ chmod -R u+rwx /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+ rm -rf /root/gzip-1.8.32-4606/build/tests/gt-timestamp.nyuj
+ exit 1
FAIL timestamp (exit status: 1)


--nextPart2215853.8eL85XIXdy--





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 01:11:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 21:11:21 2017
Received: from localhost ([127.0.0.1]:37889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8Fei-00076R-8t
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8Feg-00076C-Ei
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FeY-0007q5-4c
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41548)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8FeX-0007pn-Tq
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34324)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FeU-000311-PU
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:11:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FeS-0007mo-2h
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:11:06 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::8]:26496)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8FeR-0007lz-Gz
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:11:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509153062;
 s=domk; d=clisp.org;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=TzNI3/uLHlRtTdwec4u3m+FhcVPEIEG0uqcAtzRJGsQ=;
 b=YzJIf+djxXp6q700VSSSL5BVLuv1b0HPLo27ptlIZsbUBdD5z+BoodqRHpyoHGzX2j
 fP5Zb7OVpeP5b6o8pUF/MGu+UwFOaBkn8O7AiuWtVcY3CBtV38JRaNXO8QH2bm6PoygV
 101tcgYGISFCKzeF9t7LoAeg24S04ITFbE/6w=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S14rQCG
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 03:04:53 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 03:04:53 +0200
Message-ID: <3147087.D8kWGdm2hi@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="nextPart2627632.IO9p95Oy2h"
Content-Transfer-Encoding: 7Bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.

--nextPart2627632.IO9p95Oy2h
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

On FreeBSD 11/x86 (32-bit) there are 3 test failures.
Logs attached.


--nextPart2627632.IO9p95Oy2h
Content-Disposition: attachment; filename="log1"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log1"

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ../build-aux/install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... no
checking for cc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether cc accepts -g... yes
checking for cc option to enable C11 features... none needed
checking whether cc understands -c and -o together... yes
checking dependency style of cc... gcc3
checking how to run the C preprocessor... cc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for nm... nm
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for a POSIX-compliant shell... /bin/sh
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for sys/param.h... yes
checking for sys/socket.h... yes
checking for dirent.h... yes
checking for features.h... no
checking for getopt.h... yes
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for limits.h... yes
checking for math.h... yes
checking for sys/mman.h... yes
checking for wchar.h... yes
checking for utime.h... yes
checking for crtdefs.h... no
checking for fcntl.h... yes
checking for memory.h... yes
checking for time.h... yes
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for egrep... /usr/bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for _LARGEFILE_SOURCE value needed for large files... no
checking build system type... i586-unknown-freebsd11.0
checking host system type... i586-unknown-freebsd11.0
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for size_t... yes
checking for working alloca.h... no
checking for alloca... yes
checking whether malloc, realloc, calloc are POSIX compliant... yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for strerror_r... yes
checking for fcntl... yes
checking for symlink... yes
checking for mempcpy... no
checking for vasnprintf... no
checking for snprintf... yes
checking for fpurge... yes
checking for __fpurge... no
checking for __freading... no
checking for __fseterr... no
checking for fstatat... yes
checking for fsync... yes
checking for getdtablesize... yes
checking for getprogname... yes
checking for getexecname... no
checking for gettimeofday... yes
checking for nanotime... no
checking for lstat... yes
checking for mprotect... yes
checking for openat... yes
checking for __xpg_strerror_r... no
checking for strdup... yes
checking for catgets... yes
checking for pipe... yes
checking for unlinkat... yes
checking for utime... yes
checking for futimes... yes
checking for futimesat... yes
checking for futimens... yes
checking for utimensat... yes
checking for lutimes... yes
checking for chown... yes
checking for fchmod... yes
checking for fchown... yes
checking for siginterrupt... yes
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking how cc reports undeclared, standard C functions... warning
checking whether // is distinct from /... no
checking for complete errno.h... yes
checking whether strerror_r is declared... yes
checking whether strerror_r returns char *... no
checking whether fchdir is declared... yes
checking for working fcntl.h... no (bad O_NOATIME)
checking for pid_t... yes
checking for mode_t... yes
checking for promoted mode_t type... int
checking whether fdatasync is declared... no
checking for stdint.h... yes
checking for inttypes.h... yes
checking whether printf supports size specifiers as in C99... yes
checking whether printf supports 'long double' arguments... yes
checking whether printf supports infinite 'double' arguments... yes
checking whether byte ordering is bigendian... no
checking whether long double and double are the same... no
checking whether printf supports infinite 'long double' arguments... yes
checking whether printf supports the 'a' and 'A' directives... no
checking whether printf supports the 'F' directive... yes
checking whether printf supports the 'n' directive... yes
checking whether printf supports the 'ls' directive... yes
checking whether printf supports POSIX/XSI format strings with positions... yes
checking whether printf supports the grouping flag... yes
checking whether printf supports the left-adjust flag correctly... yes
checking whether printf supports the zero flag correctly... yes
checking whether printf supports large precisions... yes
checking whether printf survives out-of-memory conditions... no
checking for unsigned long long int... yes
checking for long long int... yes
checking for wchar_t... yes
checking for wint_t... yes
checking whether wint_t is too small... no
checking for intmax_t... yes
checking where to find the exponent in a 'double'... word 1 bit 20
checking whether snprintf returns a byte count as in C99... yes
checking for snprintf... (cached) yes
checking for strnlen... yes
checking for wcslen... yes
checking for wcsnlen... yes
checking for mbrtowc... yes
checking for wcrtomb... yes
checking whether _snprintf is declared... no
checking whether frexp() can be used without linking with libm... yes
checking whether alarm is declared... yes
checking whether stdin defaults to large file offsets... yes
checking whether fseeko is declared... yes
checking for fseeko... yes
checking whether fflush works on input streams... no
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking whether lstat correctly handles trailing slash... yes
checking whether ftello is declared... yes
checking for ftello... yes
checking whether ftello works... yes
checking whether getcwd (NULL, 0) allocates memory for result... yes
checking for getcwd with POSIX signature... yes
checking whether getdtablesize is declared... yes
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... no
checking for C/C++ restrict keyword... __restrict
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking host CPU and C ABI... i386
checking where to find the exponent in a 'float'... word 0 bit 23
checking whether limits.h has ULLONG_WIDTH etc.... no
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for the common suffixes of directories in the library search path... lib,lib
checking whether imported symbols can be declared weak... yes
checking for pthread.h... yes
checking for pthread_kill in -lpthread... yes
checking for multithread API to use... posix
checking for a sed that does not truncate output... /usr/bin/sed
checking for stdlib.h... yes
checking for GNU libc compatible malloc... yes
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking whether memrchr is declared... yes
checking for O_CLOEXEC... yes
checking whether strerror(0) succeeds... yes
checking for strerror_r with POSIX signature... yes
checking whether strerror_r works... yes
checking for nl_langinfo... yes
checking for ptrdiff_t... yes
checking whether C symbols are prefixed with underscore at the linker level... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking whether stdint.h conforms to C99... yes
checking whether stdint.h predates C++11... no
checking whether stdint.h has UINTMAX_WIDTH etc.... no
checking whether strdup is declared... yes
checking for struct timespec in <time.h>... yes
checking whether the utimes function works... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for GNU libc compatible calloc... no
checking whether this system has an arbitrary file name length limit... yes
checking for library containing clock_gettime... none required
checking for clock_gettime... yes
checking for clock_settime... yes
checking for closedir... yes
checking for dirfd... yes
checking whether dirfd is declared... yes
checking whether dirfd is a macro... no
checking whether // is distinct from /... (cached) no
checking whether dup works... yes
checking whether dup2 works... yes
checking for error_at_line... no
checking whether fflush works on input streams... (cached) no
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... yes
checking for fdatasync... no
checking whether fdopendir is declared... yes
checking whether fdopendir works... yes
checking whether fflush works on input streams... (cached) no
checking whether conversion from 'int' to 'long double' works... yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking whether fpurge is declared... yes
checking whether fpurge works... yes
checking whether frexp works... yes
checking whether frexpl is declared... yes
checking whether frexpl() can be used without linking with libm... no
checking for fseeko... (cached) yes
checking whether fflush works on input streams... (cached) no
checking for _fseeki64... no
checking whether fstatat (..., 0) works... yes
checking for ftello... (cached) yes
checking whether ftello works... (cached) yes
checking whether getdtablesize works... yes
checking whether program_invocation_name is declared... no
checking whether program_invocation_short_name is declared... no
checking whether __argv is declared... no
checking whether __progname is defined in default libraries... yes
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... almost
checking whether isnan(double) can be used without linking with libm... yes
checking whether isnan(float) can be used without linking with libm... no
checking where to find the exponent in a 'float'... (cached) word 0 bit 23
checking whether isnan(long double) can be used without linking with libm... no
checking where to find the exponent in a 'long double'... word 2 bit 0
checking for C compiler flag to ignore unused libraries... -Wl,--as-needed
checking for pthread_rwlock_t... yes
checking whether pthread_rwlock_rdlock prefers a writer to a reader... yes
checking whether lseek detects pipes... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking whether NAN macro works... yes
checking whether HUGE_VAL works... yes
checking for mempcpy... (cached) no
checking for memrchr... yes
checking whether open recognizes a trailing slash... yes
checking for opendir... yes
checking whether perror matches strerror... yes
checking whether frexp works... (cached) yes
checking whether ldexp can be used without linking with libm... yes
checking whether frexpl() can be used without linking with libm... (cached) no
checking whether ldexpl() can be used without linking with libm... no
checking for readdir... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking whether rmdir works... yes
checking for signbit macro... no
checking for signbit compiler built-ins... yes
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for ssize_t... yes
checking whether stat handles trailing slashes on files... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for struct stat.st_birthtimespec.tv_nsec... yes
checking for max_align_t... no
checking whether NULL can be used in arbitrary expressions... yes
checking which flavor of printf attribute matches inttypes macros... system
checking for stpcpy... yes
checking for working strerror function... yes
checking for nlink_t... (cached) yes
checking whether unlink honors trailing slashes... yes
checking whether unlink of a parent directory fails as it should... guessing yes
checking for ptrdiff_t... (cached) yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking for stdint.h... (cached) yes
checking for underline in external names... no
checking for an assembler syntax supported by this package... cc: warning: argument unused during compilation: '-D _THREAD_SAFE'
cc: warning: argument unused during compilation: '-D _THREAD_SAFE'
yes, with -Wa,--noexecstack
checking for library containing strerror... none required
checking for an ANSI C-conforming const... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking return type of signal handlers... void
checking for size_t... (cached) yes
checking for off_t... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating lib/Makefile
config.status: creating tests/Makefile
config.status: creating lib/config.h
config.status: linking ../GNUmakefile to GNUmakefile
config.status: executing depfiles commands

--nextPart2627632.IO9p95Oy2h
Content-Disposition: attachment; filename="log2"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log2"

  GEN      version.c
  GEN      version.h
make  all-recursive
Making all in lib
  GEN      alloca.h
  GEN      dirent.h
  GEN      fcntl.h
  GEN      float.h
  GEN      getopt.h
  GEN      getopt-cdefs.h
  GEN      limits.h
  GEN      math.h
  GEN      stddef.h
  GEN      stdint.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  GEN      wchar.h
make  all-am
  CC       cloexec.o
  CC       opendir-safer.o
  CC       dirname-lgpl.o
  CC       basename-lgpl.o
  CC       stripslash.o
  CC       exitfail.o
  CC       creat-safer.o
  CC       open-safer.o
  CC       fd-hook.o
  CC       fd-safer-flag.o
  CC       dup-safer-flag.o
  CC       filenamecat-lgpl.o
  CC       freading.o
  CC       getprogname.o
  CC       gettime.o
  CC       glthread/lock.o
  CC       malloca.o
  CC       math.o
  CC       openat-die.o
  CC       openat-safer.o
  CC       printf-frexp.o
  CC       printf-frexpl.o
  CC       save-cwd.o
  CC       savedir.o
  CC       stat-time.o
  CC       statat.o
  CC       glthread/threadlib.o
  CC       timespec.o
  CC       unistd.o
  CC       dup-safer.o
  CC       fd-safer.o
  CC       pipe-safer.o
  CC       utimens.o
  CC       xmalloc.o
  CC       xalloc-die.o
  CC       xsize.o
  CC       yesno.o
  CC       asnprintf.o
  CC       calloc.o
  CC       chdir-long.o
  CC       error.o
../../lib/error.c:390:12: warning: data argument not used by format string [-Wformat-extra-args]
           file_name, line_number);
           ^
1 warning generated.
  CC       fclose.o
  CC       fdatasync.o
  CC       fflush.o
  CC       float.o
  CC       fprintf.o
  CC       frexpl.o
  CC       fseek.o
  CC       fseeko.o
  CC       fseterr.o
  CC       getopt.o
  CC       getopt1.o
  CC       isnanf.o
  CC       isnanl.o
  CC       localtime-buffer.o
  CC       mempcpy.o
  CC       openat-proc.o
  CC       printf.o
  CC       printf-args.o
  CC       printf-parse.o
  CC       vasnprintf.o
  CC       vfprintf.o
  GEN      match.o
cc: warning: argument unused during compilation: '-D _THREAD_SAFE'
  AR       libgzip.a
Making all in doc
Making all in .
  CC       version.o
  AR       libver.a
  CC       bits.o
  CC       deflate.o
  CC       gzip.o
  CC       inflate.o
  CC       lzw.o
  CC       trees.o
  CC       unlzh.o
  CC       unlzw.o
  CC       unpack.o
  CC       unzip.o
  CC       util.o
  CC       zip.o
  CCLD     gzip
  GEN      gunzip
  GEN      gzexe
  GEN      zcat
  GEN      zcmp
  GEN      zdiff
  GEN      zegrep
  GEN      zfgrep
  GEN      zforce
  GEN      zgrep
  GEN      zless
  GEN      zmore
  GEN      znew
Making all in tests

--nextPart2627632.IO9p95Oy2h
Content-Disposition: attachment; filename="log3"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log3"

make  check-recursive
Making check in lib
make  check-am
Making check in doc
Making check in .
make  check-local
  GEN      gzip.doc.gz
  GEN      check-local
Making check in tests
make  check-TESTS
PASS: gzip-env
PASS: helin-segv
FAIL: help-version
PASS: hufts
PASS: keep
PASS: list
PASS: memcpy-abuse
PASS: mixed
PASS: null-suffix-clobber
PASS: stdin
FAIL: timestamp
PASS: trailing-nul
PASS: unpack-invalid
FAIL: unpack-valid
PASS: z-suffix
PASS: zdiff
PASS: zgrep-f
PASS: zgrep-context
PASS: zgrep-signal
PASS: znew-k
============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  17
# SKIP:  0
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
============================================================================
*** Error code 1

Stop.
make[4]: stopped in /usr/home/bruno/gzip-1.8.32-4606/build/tests
*** Error code 1

Stop.
make[3]: stopped in /usr/home/bruno/gzip-1.8.32-4606/build/tests
*** Error code 1

Stop.
make[2]: stopped in /usr/home/bruno/gzip-1.8.32-4606/build/tests
*** Error code 1

Stop.
make[1]: stopped in /usr/home/bruno/gzip-1.8.32-4606/build
*** Error code 1

Stop.
make: stopped in /usr/home/bruno/gzip-1.8.32-4606/build

--nextPart2627632.IO9p95Oy2h
Content-Disposition: attachment; filename="test-suite.log"
Content-Transfer-Encoding: 7Bit
Content-Type: text/x-log; charset="UTF-8"; name="test-suite.log"

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  17
# SKIP:  0
# XFAIL: 0
# FAIL:  3
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: help-version
==================

*** zmore: bad exit status `0' (expected 1),
  with --help or --version output redirected to /dev/full
*** zmore: bad exit status `0' (expected 1),
  with --help or --version output redirected to /dev/full
*** zmore: bad exit status `0' (expected 1),
  with --help or --version output redirected to /dev/full
in-4561:	-15.4%
FAIL help-version (exit status: 1)

FAIL: timestamp
===============

touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
gzip: in: warning: file timestamp out of range for gzip format
touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
method  crc     date  time           compressed        uncompressed  ratio uncompressed_name
defla 00000000 Oct 28 02:48                  20                   0   0.0% stdout
FAIL timestamp (exit status: 1)

FAIL: unpack-valid
==================

--- exp	2017-10-28 04:48:51.734640000 +0200
+++ out	2017-10-28 04:48:51.734940000 +0200
@@ -1 +0,0 @@
-banana
\ No newline at end of file
diff -u /dev/null err
--- /dev/null	1970-01-01
+++ err	1970-01-01
+
+gzip: test.z: not in gzip format
FAIL unpack-valid (exit status: 1)


--nextPart2627632.IO9p95Oy2h--





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 01:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 21:11:13 2017
Received: from localhost ([127.0.0.1]:37886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8Fea-000764-SD
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8FeZ-00075r-C3
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FeS-0007nH-VB
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42090)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8FeS-0007nA-RN
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:11:04 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34305)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FeR-00030w-CC
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:11:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8FeO-0007kt-5B
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:11:03 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::9]:21687)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8FeN-0007kI-Qu
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:11:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509153058;
 s=domk; d=clisp.org;
 h=Content-Type:Content-Transfer-Encoding:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=ooJCRlRqjyItG+lerCs0/Q4TrzCcQBm67tBDtPcCrLY=;
 b=OPIgOrXuaEuLRyxwhg9vqk7yGJh+hhJd1Gc2MLBOuS6iNhKrn1bTD8UpZRFECZ0N2N
 J/ih1iSkJ9yVmd/G2/ydkkqTbILG6pfuHflUuKI0+Ybk/HKz17f+M3l0HxecDDixjXhC
 yl68+tGRLvsQTzIJ8lkQzhKSgzN76zgQR/BTc=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S0woQB8
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 02:58:50 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 02:58:50 +0200
Message-ID: <22527680.VypvAIlWnn@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Test result on Mac OS X 10.5.8, compiling in 32-bit mode:

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

++ initial_cwd_=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests gt-timestamp.XXXX
+++ case $# in
+++ destdir_=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests
+++ template_=gt-timestamp.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
+++ case $d in
+++ :
+++ test -d /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
++++ ls -dgo /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
+++ perms='drwx------ 2 68 Oct 28 02:47 /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR'
+++ case $perms in
+++ :
+++ echo /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
+++ return
++ test_dir_=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
++ cd /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
++ gl_init_sh_nl_='
'
++ IFS=' 
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/..
+ case $abs_path_dir_ in
+ PATH=/Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/..:/Users/bruno/data/build/gzip-1.8.32-4606/build-32:.:/Users/bruno/data/local-macos/bin:/opt/local/bin:/sw/bin:/sw/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin:/usr/X11R6/bin
+ create_exe_shims_ /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ TZ=UTC0
+ export TZ
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 190101010000 in
touch: invalid date format '190101010000'
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 196912312359.59 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 197001010000 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 210602070628.16 in
touch: invalid date format '210602070628.16'
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 197001010000.01 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.07 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.08 in
touch: invalid date format '203801190314.08'
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 210602070628.15 in
touch: invalid date format '210602070628.15'
+ rm -f in.gz in
+ touch -t 210602070628.15 in
touch: invalid date format '210602070628.15'
+ printf '\037\213\10\0\377\377\377\377\0\377\3\0\0\0\0\0\0\0\0\0'
+ returns_ 2 gzip -Nlv
method  crc     date  time           compressed        uncompressed  ratio uncompressed_name
defla 00000000 Oct 28 00:47                  20                   0   0.0% stdout
+ fail=1
+ :
+ gzip --no-name
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests
+ chmod -R u+rwx /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
+ rm -rf /Users/bruno/data/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.bFAR
+ exit 1
FAIL timestamp (exit status: 1)

============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
============================================================================
make[4]: *** [test-suite.log] Error 1


The 'touch' program that rejects distant timestamps is:

$ touch --version
touch (GNU coreutils) 8.24.161-1204d
...

I think the problem is this comment:
# On platforms that fail to support timestamps within gzip's range,
# test that gzip warns when converting them from gzip format.

Gzip's behaviour depends on libc, and what the 'touch' program is doing
is a different thing. It's incorrect to assume that libc's behaviour and
touch's behaviour are consistent.


Bruno





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 01:09:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 21:09:48 2017
Received: from localhost ([127.0.0.1]:37882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8FdD-00073d-Rm
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:09:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8FdA-00073P-Ls
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:09:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Fd2-0006So-Tk
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:09:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39729)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Fd2-0006Rs-Mw
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 21:09:36 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34147)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Fcz-0002rr-Lb
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:09:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8Fcw-0006Ko-B8
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:09:33 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::5]:18380)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8Fcv-0006KD-NA
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 21:09:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509152968;
 s=domk; d=clisp.org;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=GKVPdMbbsMeBuXICKZYN3Qvd8zLh6p85DaUxnLmvIY8=;
 b=BLOalkGS2l3zBUbZDyqSatxYaKYvHgny4ly0Wpypczkmx4xVSZRiRmfk/x+Hb+dxgr
 DaW98r/w0MPnIJTLr14SGHuJAWafht/7bpw+ZD8/CTsIbH4oi/geRgz61Kn+FpiZLPNG
 GEtswfA/WTm0geBmgi3NX364xDSMU7DeJdqMA=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S19RQCv
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 03:09:27 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 03:09:27 +0200
Message-ID: <2605006.03gepixJSe@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="nextPart2823865.1FH7se9LeL"
Content-Transfer-Encoding: 7Bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.

--nextPart2823865.1FH7se9LeL
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

On OpenBSD 6.0/x86 (32-bit) there is 1 test failure.

Logs attached.

--nextPart2823865.1FH7se9LeL
Content-Disposition: attachment; filename="log1"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log1"

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ../build-aux/install-sh -c -d
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether the compiler supports GNU C... yes
checking whether gcc accepts -g... yes
checking for gcc option to enable C11 features... unsupported
checking for gcc option to enable C99 features... -std=gnu99
checking whether gcc -std=gnu99 understands -c and -o together... yes
checking dependency style of gcc -std=gnu99... gcc3
checking how to run the C preprocessor... gcc -std=gnu99 -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for nm... nm
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for a POSIX-compliant shell... /bin/sh
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for sys/param.h... yes
checking for sys/socket.h... yes
checking for dirent.h... yes
checking for features.h... no
checking for getopt.h... yes
checking for sys/cdefs.h... yes
checking for sys/time.h... yes
checking for limits.h... yes
checking for math.h... yes
checking for sys/mman.h... yes
checking for wchar.h... yes
checking for utime.h... yes
checking for crtdefs.h... no
checking for fcntl.h... yes
checking for memory.h... yes
checking for time.h... yes
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking whether _XOPEN_SOURCE should be defined... no
checking for egrep... /usr/bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for _LARGEFILE_SOURCE value needed for large files... no
checking build system type... i386-unknown-openbsd6.0
checking host system type... i386-unknown-openbsd6.0
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for size_t... yes
checking for working alloca.h... no
checking for alloca... yes
checking whether malloc, realloc, calloc are POSIX compliant... yes
checking for _set_invalid_parameter_handler... no
checking for fchdir... yes
checking for fdopendir... yes
checking for strerror_r... yes
checking for fcntl... yes
checking for symlink... yes
checking for mempcpy... no
checking for vasnprintf... no
checking for snprintf... yes
checking for fpurge... yes
checking for __fpurge... no
checking for __freading... no
checking for __fseterr... no
checking for fstatat... yes
checking for fsync... yes
checking for getdtablesize... yes
checking for getprogname... yes
checking for getexecname... no
checking for gettimeofday... yes
checking for nanotime... no
checking for lstat... yes
checking for mprotect... yes
checking for openat... yes
checking for __xpg_strerror_r... no
checking for strdup... yes
checking for catgets... yes
checking for pipe... yes
checking for unlinkat... yes
checking for utime... yes
checking for futimes... yes
checking for futimesat... no
checking for futimens... yes
checking for utimensat... yes
checking for lutimes... no
checking for chown... yes
checking for fchmod... yes
checking for fchown... yes
checking for siginterrupt... yes
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking how gcc -std=gnu99 reports undeclared, standard C functions... error
checking whether // is distinct from /... no
checking for complete errno.h... no
checking for EMULTIHOP value... no
checking for ENOLINK value... no
checking for EOVERFLOW value... yes
checking whether strerror_r is declared... yes
checking whether strerror_r returns char *... no
checking whether fchdir is declared... yes
checking for working fcntl.h... no (bad O_NOATIME)
checking for pid_t... yes
checking for mode_t... yes
checking for promoted mode_t type... mode_t
checking whether fdatasync is declared... yes
checking for stdint.h... yes
checking for inttypes.h... yes
checking whether printf supports size specifiers as in C99... yes
checking whether printf supports 'long double' arguments... yes
checking whether printf supports infinite 'double' arguments... yes
checking whether byte ordering is bigendian... no
checking whether long double and double are the same... no
checking whether printf supports infinite 'long double' arguments... yes
checking whether printf supports the 'a' and 'A' directives... no
checking whether printf supports the 'F' directive... yes
checking whether printf supports the 'n' directive... yes
checking whether printf supports the 'ls' directive... yes
checking whether printf supports POSIX/XSI format strings with positions... yes
checking whether printf supports the grouping flag... yes
checking whether printf supports the left-adjust flag correctly... yes
checking whether printf supports the zero flag correctly... yes
checking whether printf supports large precisions... yes
checking whether printf survives out-of-memory conditions... no
checking for unsigned long long int... yes
checking for long long int... yes
checking for wchar_t... yes
checking for wint_t... yes
checking whether wint_t is too small... no
checking for intmax_t... yes
checking where to find the exponent in a 'double'... word 1 bit 20
checking whether snprintf returns a byte count as in C99... yes
checking for snprintf... (cached) yes
checking for strnlen... yes
checking for wcslen... yes
checking for wcsnlen... no
checking for mbrtowc... yes
checking for wcrtomb... yes
checking whether _snprintf is declared... no
checking whether frexp() can be used without linking with libm... yes
checking whether alarm is declared... yes
checking whether stdin defaults to large file offsets... yes
checking whether fseeko is declared... yes
checking for fseeko... yes
checking whether fflush works on input streams... no
checking whether stat file-mode macros are broken... no
checking for nlink_t... yes
checking whether lstat correctly handles trailing slash... yes
checking whether ftello is declared... yes
checking for ftello... yes
checking whether ftello works... yes
checking whether getcwd (NULL, 0) allocates memory for result... yes
checking for getcwd with POSIX signature... yes
checking whether getdtablesize is declared... yes
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... yes
checking for working GNU getopt_long function... yes
checking for C/C++ restrict keyword... no
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... yes
checking host CPU and C ABI... i386
checking where to find the exponent in a 'float'... word 0 bit 23
checking whether limits.h has ULLONG_WIDTH etc.... no
checking for ld used by gcc -std=gnu99... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for the common suffixes of directories in the library search path... lib,lib
checking whether imported symbols can be declared weak... yes
checking for pthread.h... yes
checking for multithread API to use... posix
checking for a sed that does not truncate output... /usr/bin/sed
checking for stdlib.h... yes
checking for GNU libc compatible malloc... yes
checking for mmap... yes
checking for MAP_ANONYMOUS... yes
checking whether memchr works... yes
checking whether memrchr is declared... yes
checking for O_CLOEXEC... yes
checking whether strerror(0) succeeds... no
checking for nl_langinfo... yes
checking for ptrdiff_t... yes
checking whether C symbols are prefixed with underscore at the linker level... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking whether stdint.h conforms to C99... yes
checking whether stdint.h predates C++11... no
checking whether stdint.h has UINTMAX_WIDTH etc.... no
checking whether strdup is declared... yes
checking for struct timespec in <time.h>... yes
checking whether the utimes function works... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for GNU libc compatible calloc... yes
checking whether this system has an arbitrary file name length limit... yes
checking for library containing clock_gettime... none required
checking for clock_gettime... yes
checking for clock_settime... yes
checking for closedir... yes
checking for dirfd... yes
checking whether dirfd is declared... yes
checking whether dirfd is a macro... no
checking whether // is distinct from /... (cached) no
checking whether dup works... yes
checking whether dup2 works... yes
checking for error_at_line... no
checking whether fflush works on input streams... (cached) no
checking whether fcntl handles F_DUPFD correctly... yes
checking whether fcntl understands F_DUPFD_CLOEXEC... yes
checking for library containing fdatasync... none required
checking whether fdopendir is declared... yes
checking whether fdopendir works... yes
checking whether fflush works on input streams... (cached) no
checking whether conversion from 'int' to 'long double' works... yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking whether fpurge is declared... yes
checking whether fpurge works... no
checking whether frexp works... yes
checking whether frexpl is declared... yes
checking whether frexpl() can be used without linking with libm... no
checking for fseeko... (cached) yes
checking whether fflush works on input streams... (cached) no
checking for _fseeki64... no
checking whether fstatat (..., 0) works... yes
checking for ftello... (cached) yes
checking whether ftello works... (cached) yes
checking whether getdtablesize works... yes
checking whether program_invocation_name is declared... no
checking whether program_invocation_short_name is declared... no
checking whether __argv is declared... no
checking whether __progname is defined in default libraries... yes
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... almost
checking whether isnan(double) can be used without linking with libm... yes
checking whether isnan(float) can be used without linking with libm... yes
checking whether isnan(float) works... yes
checking whether isnan(long double) can be used without linking with libm... yes
checking whether isnanl works... yes
checking for C compiler flag to ignore unused libraries... -Wl,--as-needed
checking for pthread_rwlock_t... yes
checking whether pthread_rwlock_rdlock prefers a writer to a reader... yes
checking whether lseek detects pipes... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking whether NAN macro works... yes
checking whether HUGE_VAL works... yes
checking for mempcpy... (cached) no
checking for memrchr... yes
checking whether open recognizes a trailing slash... yes
checking for opendir... yes
checking whether perror matches strerror... yes
checking whether frexp works... (cached) yes
checking whether ldexp can be used without linking with libm... yes
checking whether frexpl() can be used without linking with libm... (cached) no
checking whether ldexpl() can be used without linking with libm... no
checking for readdir... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking whether rmdir works... yes
checking for signbit macro... yes
checking for signbit compiler built-ins... yes
checking for stdint.h... (cached) yes
checking for SIZE_MAX... yes
checking for ssize_t... yes
checking whether stat handles trailing slashes on files... yes
checking for struct stat.st_atim.tv_nsec... yes
checking whether struct stat.st_atim is of type struct timespec... yes
checking for struct stat.st_birthtimespec.tv_nsec... no
checking for struct stat.st_birthtimensec... no
checking for struct stat.st_birthtim.tv_nsec... no
checking for max_align_t... no
checking whether NULL can be used in arbitrary expressions... yes
checking which flavor of printf attribute matches inttypes macros... system
checking for stpcpy... yes
checking for nlink_t... (cached) yes
checking whether unlink honors trailing slashes... yes
checking whether unlink of a parent directory fails as it should... guessing yes
checking for ptrdiff_t... (cached) yes
checking for nl_langinfo... (cached) yes
checking for ptrdiff_t... (cached) yes
checking for stdint.h... (cached) yes
checking for underline in external names... no
checking for an assembler syntax supported by this package... yes
checking for library containing strerror... none required
checking for an ANSI C-conforming const... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking return type of signal handlers... void
checking for size_t... (cached) yes
checking for off_t... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating lib/Makefile
config.status: creating tests/Makefile
config.status: creating lib/config.h
config.status: linking ../GNUmakefile to GNUmakefile
config.status: executing depfiles commands

--nextPart2823865.1FH7se9LeL
Content-Disposition: attachment; filename="log2"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log2"

  GEN      version.c
  GEN      version.h
make  all-recursive
Making all in lib
  GEN      alloca.h
  GEN      dirent.h
  GEN      errno.h
  GEN      fcntl.h
  GEN      float.h
  GEN      limits.h
  GEN      math.h
  GEN      stddef.h
  GEN      stdint.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  GEN      wchar.h
make  all-am
  CC       cloexec.o
  CC       opendir-safer.o
  CC       dirname-lgpl.o
  CC       basename-lgpl.o
  CC       stripslash.o
  CC       exitfail.o
  CC       creat-safer.o
  CC       open-safer.o
  CC       fd-hook.o
  CC       fd-safer-flag.o
  CC       dup-safer-flag.o
  CC       filenamecat-lgpl.o
  CC       freading.o
  CC       getprogname.o
  CC       gettime.o
  CC       glthread/lock.o
  CC       malloca.o
  CC       math.o
  CC       openat-die.o
  CC       openat-safer.o
  CC       printf-frexp.o
  CC       printf-frexpl.o
  CC       save-cwd.o
  CC       savedir.o
  CC       stat-time.o
  CC       statat.o
  CC       glthread/threadlib.o
  CC       timespec.o
  CC       unistd.o
  CC       dup-safer.o
  CC       fd-safer.o
  CC       pipe-safer.o
  CC       utimens.o
  CC       xmalloc.o
  CC       xalloc-die.o
  CC       xsize.o
  CC       yesno.o
  CC       asnprintf.o
  CC       chdir-long.o
  CC       error.o
  CC       fclose.o
  CC       fflush.o
  CC       fprintf.o
  CC       fpurge.o
  CC       frexpl.o
  CC       fseek.o
  CC       fseeko.o
  CC       fseterr.o
  CC       localtime-buffer.o
  CC       mempcpy.o
  CC       openat-proc.o
  CC       perror.o
  CC       printf.o
  CC       printf-args.o
  CC       printf-parse.o
  CC       strerror.o
  CC       strerror-override.o
  CC       strerror_r.o
  CC       vasnprintf.o
../../lib/vasnprintf.c: In function 'scale10_round_decimal_long_double':
../../lib/vasnprintf.c:1307: warning: 'e' may be used uninitialized in this function
../../lib/vasnprintf.c: In function 'scale10_round_decimal_double':
../../lib/vasnprintf.c:1325: warning: 'e' may be used uninitialized in this function
  CC       vfprintf.o
  GEN      match.o
  AR       libgzip.a
Making all in doc
Making all in .
  CC       version.o
  AR       libver.a
  CC       bits.o
  CC       deflate.o
  CC       gzip.o
../gzip.c: In function 'get_method':
../gzip.c:1542: warning: comparison is always true due to limited range of data type
  CC       inflate.o
  CC       lzw.o
  CC       trees.o
  CC       unlzh.o
  CC       unlzw.o
  CC       unpack.o
  CC       unzip.o
  CC       util.o
  CC       zip.o
  CCLD     gzip
gzip.o: In function `open_input_file':
../gzip.c:1330: warning: warning: strcat() is almost always misused, please use strlcat()
lib/libgzip.a(vasnprintf.o): In function `decimal_point_char':
../../lib/vasnprintf.c:296: warning: warning: sprintf() is often misused, please use snprintf()
lib/libgzip.a(savedir.o): In function `streamsavedir':
../../lib/savedir.c:171: warning: warning: stpcpy() is dangerous; do not use it
gzip.o: In function `get_suffix':
../gzip.c:1190: warning: warning: strcpy() is almost always misused, please use strlcpy()
/usr/bin/ld: warning: creating a DT_TEXTREL in a shared object.
  GEN      gunzip
  GEN      gzexe
  GEN      zcat
  GEN      zcmp
  GEN      zdiff
  GEN      zegrep
  GEN      zfgrep
  GEN      zforce
  GEN      zgrep
  GEN      zless
  GEN      zmore
  GEN      znew
Making all in tests

--nextPart2823865.1FH7se9LeL
Content-Disposition: attachment; filename="log3"
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="UTF-8"; name="log3"

make  check-recursive
Making check in lib
make  check-am
Making check in doc
Making check in .
make  check-local
  GEN      gzip.doc
/bin/sh: groff: not found
  GEN      gzip.doc.gz
  GEN      check-local
Making check in tests
make  check-TESTS
PASS: gzip-env
PASS: helin-segv
PASS: help-version
PASS: hufts
PASS: keep
PASS: list
PASS: memcpy-abuse
PASS: mixed
PASS: null-suffix-clobber
PASS: stdin
FAIL: timestamp
PASS: trailing-nul
PASS: unpack-invalid
PASS: unpack-valid
PASS: z-suffix
PASS: zdiff
PASS: zgrep-f
SKIP: zgrep-context
PASS: zgrep-signal
PASS: znew-k
============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  18
# SKIP:  1
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
============================================================================
*** Error 1 in tests (Makefile:1746 'test-suite.log': @case $- in *e*) set +e;; esac; {  mgn= red= grn= lgn= blu= brg= std=;  am__color_test...)
*** Error 1 in tests (Makefile:1757 'check-TESTS')
*** Error 1 in tests (Makefile:1955 'check-am')
*** Error 1 in . (Makefile:1769 'check-recursive')
*** Error 1 in /home/bruno/gzip-1.8.32-4606/build (Makefile:2022 'check')

--nextPart2823865.1FH7se9LeL
Content-Disposition: attachment; filename="test-suite.log"
Content-Transfer-Encoding: 7Bit
Content-Type: text/x-log; charset="UTF-8"; name="test-suite.log"

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  18
# SKIP:  1
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

touch: out of range or illegal time specification: [[CC]YY]MMDDhhmm[.SS]
gzip: in: warning: file timestamp out of range for gzip format
gzip: in: warning: file timestamp out of range for gzip format
gzip: in: warning: file timestamp out of range for gzip format
gzip: in: warning: file timestamp out of range for gzip format
FAIL timestamp (exit status: 1)

SKIP: zgrep-context
===================

grep: -: No such file or directory
../../tests/zgrep-context: /usr/bin/grep does not support context options; skipping this test
SKIP zgrep-context (exit status: 77)


--nextPart2823865.1FH7se9LeL--





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Oct 2017 00:35:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 20:35:59 2017
Received: from localhost ([127.0.0.1]:37876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8F6V-0006Ek-01
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 20:35:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37021)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bruno@HIDDEN>) id 1e8F6T-0006EV-2L
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 20:35:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8F6M-0003dW-Kk
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 20:35:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57244)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8F6M-0003dI-I2
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 20:35:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56224)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8F6L-0006sU-2y
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 20:35:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bruno@HIDDEN>) id 1e8F6G-0003YX-DU
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 20:35:49 -0400
Received: from mo6-p00-ob.smtp.rzone.de ([2a01:238:20a:202:5300::4]:19357)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bruno@HIDDEN>) id 1e8F6F-0003WE-Vu
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 20:35:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; t=1509150940;
 s=domk; d=clisp.org;
 h=Content-Type:Content-Transfer-Encoding:MIME-Version:References:
 In-Reply-To:Date:Subject:Cc:To:From;
 bh=UV+8XJzjklELpyp5W+2GQGQ7VsTmL/sBwrWPZ2sF2Cg=;
 b=OfOgMlbl0kEc2ISWhNsVzU2xbvBS/Llhv1c7Hk1g+g+7GbFwKqgHal/XQOZA+yplnH
 dwJgWe4saRc6p+zMK7IG5T14dDG4GrQG803FyQ8ezROyMPBUtnc6jLE/S6DpcgWtu9fV
 fsgY1RqkygANLkUGLy+DCjuXSy2uLun7qMFo4=
X-RZG-AUTH: :Ln4Re0+Ic/6oZXR1YgKryK8brlshOcZlIWs+iCP5vnk6shH+AHjwLuWOGaf0yJ5W
X-RZG-CLASS-ID: mo00
Received: from bruno.haible.de
 (dslb-088-068-035-158.088.068.pools.vodafone-ip.de [88.68.35.158])
 by smtp.strato.de (RZmta 42.8 DYNA|AUTH)
 with ESMTPSA id I0b719t9S0ZdQ8I
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (curve secp521r1 with 521 ECDH
 bits, eq. 15360 bits RSA)) (Client did not present a certificate);
 Sat, 28 Oct 2017 02:35:39 +0200 (CEST)
From: Bruno Haible <bruno@HIDDEN>
To: Jim Meyering <jim@HIDDEN>
Subject: Re: [platform-testers] new snapshot available: gzip-1.8.32-4606
Date: Sat, 28 Oct 2017 02:35:39 +0200
Message-ID: <5898139.jocEo1Ced3@omega>
User-Agent: KMail/5.1.3 (Linux/4.4.0-97-generic; KDE/5.18.0; x86_64; ; )
In-Reply-To: <lubpf3h8ukz1xq.fsf@HIDDEN>
References: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: bug-gzip@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi Jim,

Test in 32-bit mode on Linux/x86_64:

============================================
   gzip 1.8.32-4606: tests/test-suite.log
============================================

# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: timestamp
===============

++ initial_cwd_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests gt-timestamp.XXXX
+++ case $# in
+++ destdir_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests
+++ template_=gt-timestamp.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+++ case $d in
+++ :
+++ test -d /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
++++ ls -dgo /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+++ perms='drwx------ 2 4096 Oct 28 02:10 /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI'
+++ case $perms in
+++ :
+++ echo /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+++ return
++ test_dir_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
++ cd /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
++ gl_init_sh_nl_='
'
++ IFS=' 
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ..
+ test 1 '!=' 0
+ path_dir_=..
+ case $path_dir_ in
+ abs_path_dir_=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/..
+ case $abs_path_dir_ in
+ PATH=/media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/..:/media/develdata/devel/build/gzip-1.8.32-4606/build-32:/home/bruno/bin:/home/bruno/local/bin:/darch/x86_64-linux-gnu/gnu/bin:/arch/local/x86_64-linux-gnu/bin:/arch/local/x86_64-linux/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
+ create_exe_shims_ /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/..
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ TZ=UTC0
+ export TZ
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 190101010000 in
+ returns_ 2 gzip in
+ fail=1
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 196912312359.59 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 197001010000 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 190101010000 196912312359.59 197001010000 210602070628.16
+ touch -t 210602070628.16 in
+ returns_ 2 gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 197001010000.01 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.07 in
+ gzip in
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 203801190314.08 in
+ gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ fail=1
+ rm -f in.gz in
+ for time in 197001010000.01 203801190314.07 203801190314.08 210602070628.15
+ touch -t 210602070628.15 in
+ gzip in
gzip: in: warning: file timestamp out of range for gzip format
+ fail=1
+ rm -f in.gz in
+ touch -t 210602070628.15 in
+ :
+ gzip --no-name
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests
+ chmod -R u+rwx /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+ rm -rf /media/develdata/devel/build/gzip-1.8.32-4606/build-32/tests/gt-timestamp.OozI
+ exit 1
FAIL timestamp (exit status: 1)

============================================================================
Testsuite summary for gzip 1.8.32-4606
============================================================================
# TOTAL: 20
# PASS:  19
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-gzip@HIDDEN
============================================================================
Makefile:1643: recipe for target 'test-suite.log' failed


And indeed gzip exits with code 0, not 2, for some of the values:

$ export TZ=UTC0
$ rm -f in in.gz; touch -t 190101010000 in; ../../gzip in; echo $?
0
$ rm -f in in.gz; touch -t 190101010000 in; ls -l --full-time in
-rw-rw-r-- 1 bruno bruno 0 1901-01-01 00:00:00.000000000 +0000 in

I'm using touch 8.25. The file system is ext4.


Bruno





Information forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Oct 2017 22:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 27 18:00:55 2017
Received: from localhost ([127.0.0.1]:37745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e8CgK-0002Kn-SN
	for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 18:00:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1e8CgJ-0002KZ-8v
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 18:00:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8CgA-0008Df-Cr
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 18:00:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37860)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>) id 1e8CgA-0008DN-8C
 for submit <at> debbugs.gnu.org; Fri, 27 Oct 2017 18:00:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58616)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8Cg6-0003cG-GC
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 18:00:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <meyering@HIDDEN>) id 1e8Cg3-0007yz-0J
 for bug-gzip@HIDDEN; Fri, 27 Oct 2017 18:00:34 -0400
Received: from mail-pf0-x243.google.com ([2607:f8b0:400e:c00::243]:56128)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <meyering@HIDDEN>)
 id 1e8Cfv-0007uI-A2; Fri, 27 Oct 2017 18:00:23 -0400
Received: by mail-pf0-x243.google.com with SMTP id 17so5830168pfn.12;
 Fri, 27 Oct 2017 15:00:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:mail-followup-to:date:message-id
 :mime-version:content-transfer-encoding;
 bh=jAFYyLFeOGGN3OOTmc0igW3JY4kma6h30/riE0h+knk=;
 b=TH/eAag5p5Rf9w4Fju1woq9wtDkYO6EynJ8tVQ8jtl7ek4ritkAcucq+TTMy4bfGxO
 gJaG7IrYF1YtdGMWsK5PFbtso+MhIWr4I/PRB8savttDLhuwN82/1COlaBXZ2qnfF9UX
 GIBuIWi1rqLYqs0zg7Mm+dxhO4wa5+LZbuhS3Fu5HQZcn85U2cqDgB53Yg7YoMqfm71f
 sf1cxZxoU/D3IxSbYmt7yV7tkf2TAKQe0RvnP7HR56WU9XDFkzQ6d/JnPmB/b8pa1g62
 1rKDacemlCB1h15/hWI/S8KEI/YayIoonKn31P4Ej/0xFy5ThbHNOfUz86QVPpadRJMb
 2QFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:mail-followup-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=jAFYyLFeOGGN3OOTmc0igW3JY4kma6h30/riE0h+knk=;
 b=LN4pQ5gsHIiM/VTYuueABKpS2PcYanjRjJFQmvTIPWqwgNVY815lhk3WE786xH75/6
 O+Vbk4+3K9wXhLwtJx2CPBrhtnAV6IqW4h1RYq22vCbkkIBBPQMwNIjdb+RjSy2abya5
 5kXWt+3lX8ODOzYmo2PwFHWErB2T+e1jTe/1BfvJeLpki07dJxIc6vmKYa8VzOjK7BIa
 LPjpVo7ljTZopyUOlPGtb2Q6hRsunFpEidsGfVD92nr/uWgp3cNxiGyNtPEqOf1a6sIG
 3nm/0UkyBAtmV68UJJ2Y/Ksnxv5pBppMhqi1nvpXqBIk2nmIYvcQRYJ1bxXAAyduD5jn
 VENg==
X-Gm-Message-State: AMCzsaVYTuM6IKRJypmyo+nYvVF9kHu94+3iL0ujtLioC5XrpSrbLdik
 xP0dSHeJpKC9tUpJvdvvoPYw1g==
X-Google-Smtp-Source: ABhQp+TBKYxz3NYjTJXGv/oNtBMrevpjSG5apDrQRQEv8rQs3CHLnoEjTxNYgU4DUCgdxn/c9Khdpw==
X-Received: by 10.98.15.197 with SMTP id 66mr1657848pfp.272.1509141620898;
 Fri, 27 Oct 2017 15:00:20 -0700 (PDT)
Received: from dhcp-172-26-106-18.dhcp.thefacebook.com
 ([2620:10d:c090:180::1:b442])
 by smtp.gmail.com with ESMTPSA id t2sm16048737pfk.90.2017.10.27.15.00.18
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 27 Oct 2017 15:00:19 -0700 (PDT)
From: Jim Meyering <jim@HIDDEN>
To: bug-gzip@HIDDEN
Subject: new snapshot available: gzip-1.8.32-4606
Mail-Followup-To: bug-gzip@HIDDEN
Date: Fri, 27 Oct 2017 15:00:17 -0700
Message-ID: <lubpf3h8ukz1xq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
Cc: coordinator@HIDDEN, platform-testers@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I'm ready to make a new release, so here's a pre-release snapshot.
    Please build and test wherever you can. Thank you! gzip snapshot: https://meyering.net/gzip/gzip-ss.tar.xz
    740 KB https://meyering.net/gzip/gzip-ss.tar.xz.sig https://meyering.net/gzip/gzip-1.8.32-4606.tar.xz
    [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level mail
                             domains are different
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (meyering[at]gmail.com)
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and EnvelopeFrom
                              freemail headers are different

I'm ready to make a new release, so here's a pre-release snapshot.
Please build and test wherever you can.

Thank you!

gzip snapshot:
  https://meyering.net/gzip/gzip-ss.tar.xz      740 KB
  https://meyering.net/gzip/gzip-ss.tar.xz.sig
  https://meyering.net/gzip/gzip-1.8.32-4606.tar.xz

Here's the NEWS-to-be:

** Bug fixes

  When decompressing data in 'pack' format, gzip no longer mishandles
  leading zeros in the end-of-block code.  [bug introduced in gzip-1.6]

  When converting timestamps to gzip file format (32-bit unsigned) or
  to time_t format (system-dependent), gzip now ignores out-of-range
  values instead of shoehorning them into the destination format,
  sometimes with undefined behavior.  This affects timestamps before
  1970 and after 2106, and timestamps after 2038 on platforms with
  32-bit signed time_t.  [bug present since the beginning]

  Support for VMS and Amiga has been removed.  It was not working anyway,
  and it reportedly caused file name glitches on MS-Windowsish platforms.

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
Changes in gzip since 1.8.18-00e6:

Jim Meyering (5):
      tests: avoid failure when running with no tty
      maint: also distribute a zip-compressed tarball
      maint: avoid "make syntax-check" failure due to old-NEWS modification
      maint: fix "make syntax-check": remove useless HAVE_UTIME_H definitio=
ns
      gnulib: update to latest; also update tests/init.sh from gnulib

Paul Eggert (9):
      gzip: port zdiff, zless to Busybox
      build: update gnulib submodule to latest
      maint: update .gitignore for recent Gnulib
      maint: port to GCC 7.2
      maint: copy bootstrap from Gnulib
      maint: prefer HTTPS to HTTP, FTP in URLs
      misc: update --version copyright
      gzexe: improve usage diagnostic
      gzip: fix bug in unpack EOB check


Changes in gnulib since 1.8.18-00e6:

* gnulib a3fd683...1f5f7fd (570):
  > havelib: Fix value of LD for 32-bit compilation on NetBSD/sparc64.
  > glob: fix another heap buffer overflow
  > quotearg: pacify compiler re unsigned
  > glob: fix heap buffer overflow
  > glob: pacify fuzzer for mempcpy
  > autoupdate
  > doc: Fix syntax error (regression from 2017-10-03).
  > doc: Update for Solaris 11.3.
  > all: Write "Solaris 11.0" instead of "Solaris 11 2011-11".
  > doc: Improve doc about ioctl.
  > wcwidth: Don't use obsolete syntax of 'test'.
  > getopt-posix: Fix build failure when using ac_cv_header_getopt_h=3Dno.
  > vma-iter: Fix typo in last commit.
  > vma-iter: Fix typo in last commit.
  > vma-iter: Improve support for FreeBSD.
  > vma-iter: Fix truncated result on NetBSD (regression from 2017-10-07).
  > tests: fix 'invalid path dir' error
  > vma-iter: Fix truncated result on Linux (regression from 2017-09-26).
  > vma-iter: Improve support for GNU/Hurd.
  > test-framework-sh: Don't require bash on Windows and OS/2.
  > wcwidth: check a macro version of wcwidth () as well
  > getopt-posix: Clarify copyright header.
  > Fix warning "`gl_HOST_CPU_C_ABI' was expanded before it was required".
  > doc: warn about misuse of strncpy and wcsncpy.
  > fsuage: fix typo in previous change
  > fsusage: remove SVR2 support
  > Simplify autoupdate of licenses
  > autoupdate
  > vma-iter: Add support for GNU/Hurd.
  > vma-iter: Make it work on 32-bit Solaris with module 'largefile'.
  > havelib: Make it work for CC=3D"gcc -m32" (regression from 2017-02-19).
  > uniname/uniname: Don't assume C99 compiler (regression from 2015-02-16).
  > string: code style
  > uniname/uniname-tests: Tighten code.
  > vma-iter: Improvements for Linux and BSD platforms.
  > vma-iter: Provide the protection flags on FreeBSD.
  > glob: remove bogus extern decl
  > uniname/uniname-tests: integer overflow fix
  > duplocale-tests: fix unlikely crash
  > maint: fix overflow checking in nap.h
  > sys_types: update URL
  > parse-datetime: fix dependency
  > parse-datetime, posixtm: avoid uninit access
  > vma-iter: Improvements for BSD platforms.
  > autoupdate
  > strfmon_l: New module.
  > monetary: New module.
  > duplocale tests: Fix test crash on Linux/x86.
  > autoupdate
  > mktime: port to OpenVMS
  > autoupdate
  > autoupdate
  > * build-aux/bootstrap: fix HTTPS typo in comment
  > m4/manywarnings.m4: fix comment typo: s/reqirs/requires/
  > manywarnings: port to GCC on 64-bit MS-Windows
  > autoupdate
  > autoupdate
  > all: Replace many more http URLs by https URLs. Update stale URLs.
  > autoupdate
  > all: prefer https: URLs
  > doc: Prefer https URLs where possible.
  > maintainer-makefile: FTP -> HTTPS
  > libc-config: Fix __GNUC_PREREQ macro.
  > gnulib-tool.py: follow gnulib-tool changes, part 14
  > gnulib-tool.py: follow gnulib-tool changes, part 13
  > gnulib-tool.py: Keep substitution order like in gnulib-tool.
  > gnulib-tool.py: Define and use two new global functions.
  > gnulib-tool.py: Remove unused function nlcount.
  > gnulib-tool.py: Fix subend function.
  > gnulib-tool.py: follow gnulib-tool changes, part 12
  > gnulib-tool.py: follow gnulib-tool changes, part 11
  > gnulib-tool.py: follow gnulib-tool changes, part 10
  > gnulib-tool.py: follow gnulib-tool changes, part 9
  > gnulib-tool.py: follow gnulib-tool changes, part 8
  > gnulib-tool.py: follow gnulib-tool changes, part 7
  > gnulib-tool.py: follow gnulib-tool changes, part 6
  > gnulib-tool.py: follow gnulib-tool changes, part 5
  > gnulib-tool.py: follow gnulib-tool changes, part 4
  > gnulib-tool.py: follow gnulib-tool changes, part 3
  > gnulib-tool.py: follow gnulib-tool changes, part 2
  > gnulib-tool.py: follow gnulib-tool changes, part 1
  > gnulib-tool.py: Fix typo in rsync invocation.
  > gnulib-tool.py: Fix typo in wget invocation.
  > gnulib-tool.py: Bump copyright years up to 2017.
  > gnulib-tool.py: Accept option --dir instead of --destdir.
  > gnulib-tool: Simplify commit from 2015-08-20.
  > * lib/fts.c: Fix XFS comments.
  > [pygnulib] autopep8 (fixing indentation, style, etc.)
  > gnulib-tool.py: fix exception handling
  > gnulib-tool.py: fix errors on building wget2; use UTF-8 in subprocess
  > [pygnulib] .gitignore
  > [pygnulib] initial merge (including some small bug fixes)
  > stddef: Avoid conflict with system-defined max_align_t.
  > libc-config: port to MSVC
  > glob: Use enum for __glob_pattern_type result
  > glob: fix for use in glibc
  > glob: fix bugs with long login names
  > dirent: Update doc.
  > glob: fix getpwnam_r errno typo
  > glob: fix typo in recent change
  > glob: don't save and restore errno unnecessarily
  > glob: don't assume getpwnam_r
  > scratch_buffer: don=E2=80=99t use private glibc API
  > glob: use scratch_buffer instead of extend_alloca
  > scratch_buffer: new module
  > libc-config: new module
  > glob: match dangling symlinks
  > glob, backupfile: inode 0 is a valid inode number
  > glob: simplify symlink detection
  > fts-tests: tag as a longrunning-test so not included by default
  > renameat2: fix compilation on alpine linux
  > glob: try to port recent changes to MS-Windows
  > warnings: fix compilation with old autoconf
  > * doc/gnulib-intro.texi: Add comment regarding IRIX.
  > autoupdate
  > glob: Fix compilation error on NetBSD 7.0 and OpenBSD 6.0.
  > glob: fix typo that broke platforms lacking d_ino
  > flexmember: fix typo in previous patch
  > glob: merge from glibc with Zanella glob changes
  > glob: port to clang's Undefined Sanitizer
  > ) -> } -> })
  > vc-list-files: port to Solaris 10
  > ) -> }
  > autoupdate
  > git-version-gen: port to Solaris 10
  > host-cpu-c-abi: Improve detection of MIPS ABI.
  > hypot tests: Fix test failure on FreeBSD 11.0/x86.
  > float: Fix LDBL_MIN value on FreeBSD/x86.
  > random: Fix test compilation failure on Cygwin 1.5.25.
  > stdnoreturn: Fix test compilation failure on Cygwin.
  > cloexec: spelling fixes in comments
  > thread: Fix conflict with pthread_sigmask module.
  > rename: port better to NetBSD
  > iconv_open, uni*: Add support for VPATH builds with OpenBSD 'make'.
  > nonblocking-socket tests: Fix failure on OpenBSD 6.0.
  > rename, renameat: Update doc regarding NetBSD.
  > renameat2: port better to macOS
  > futimens: don=E2=80=99t assume struct timespec layout
  > rename: document+test NetBSD rename
  > renameat: Ensure declaration in <stdio.h> on NetBSD.
  > duplocale: Work around NetBSD 7.0 bug.
  > duplocale tests: Verify use with *_l functions.
  > extensions: Enable NetBSD specific extensions.
  > open, openat: Update doc about O_CLOEXEC.
  > open: support O_CLOEXEC
  > * lib/reallocarray.c: Fix layout.
  > reallocarray: minor fixes
  > reallocarray: New module
  > dirent-safer: fix cloexec race
  > fts: fix cloexec races
  > fts tests: Fix link error.
  > fts: port recent changes to CentOS 6
  > autoupdate
  > tempname: do not depend on secure_getenv
  > extensions: add _OPENBSD_SOURCE
  > manywarnings: Add support for C++.
  > manywarnings: Add support for C++.
  > git-version-gen: another fix for tags with "-"
  > warnings, manywarnings: Add support for multiple languages, not just C.
  > git-version-gen: port better to older Git
  > git-version-gen: Fix for tags containing '-'
  > valgrind-tests: use ls, and cache
  > manywarnings: port to 64-bit GCC builds of Emacs
  > Relax the license of some modules with no runtime code.
  > renameat2: port to RHEL 7 + NFS
  > renameat2: port to non-renameat platforms
  > manywarnings: port to 32-bit GCC bug
  > backupfile: new function to validate backup suffix
  > canonicalize: fix EOVERFLOW commentary
  > Don't interpret EOVERFLOW to mean nonexistence
  > backup-rename: new module
  > renameat2: port better to older Solaris
  > fts-tests: port to gcc -Wwrite-strings
  > relocatable-lib{,-lgpl}: improve documentation
  > relocatable-lib{,-lgpl}: add Valgrind suppressions
  > relocatable: Make the license on the sources the GPL.
  > host-cpu-c-abi: Detect ILP32 ABI on IA-64 HP-UX.
  > faccessat: document AT_SYMLINK_NOFOLLOW issue
  > renameat2: port to Solaris 10
  > renameat2: new module
  > vc-list-files: Adjust the script to support git worktrees
  > maint: bring MODULES.html.sh up to date
  > fprintftime: fix build-break caused by recent renaming
  > regex: work with GCC7's -Werror=3Dimplicit-fallthrough=3D
  > fts: simplify fts_build
  > fts: three levels of leaf optimization
  > fts: cache dirent_inode_sort_may_be_useful too
  > fts: introduce MIN_DIR_NLINK
  > fts: nlink_t signedness fixups
  > fts-tests: new module
  > Rename module 'strftime' to 'nstrftime'.
  > Rename module 'strftime' to 'nstrftime'.
  > malloca: Silence a warning from clang's memory sanitizer.
  > autoupdate
  > host-cpu-c-abi: Fix detection of MIPS ABI.
  > explicit_bzero: new module
  > threadlib: Support static linking.
  > unicase/locale-language: Fix link dependencies.
  > sys_socket: Add support for OpenVMS.
  > sys_resource: Add support for OpenVMS.
  > math: Add support for OpenVMS.
  > getdtablesize: Add minimal support for OpenVMS.
  > Revisit cross-compilation guesses.
  > Improve cross-compilation guesses for native Windows.
  > Improve cross-compilation guesses for native Windows.
  > Improve cross-compilation guesses for native Windows.
  > More systematic m4 quoting and indentation.
  > round, roundf: Avoid compiler warning in configure test.
  > getlogin tests: Avoid #ifdefs when sharing code between modules.
  > getlogin: don=E2=80=99t assume one name per uid
  > glob: Fix more memory leaks.
  > Make sure $host and $host_os are defined when used.
  > *printf: Fix cross-compilation guess for Solaris.
  > vasnprintf: port to macOS 10.13
  > vasnprintf: port to macOS 10.13
  > imaxdiv tests: Fix logic.
  > uninorm/filter: Fix use-after-free bug.
  > glob: Fix more memory leaks.
  > parse-datetime: fix uninit var bug
  > doc: Update for MSVC 14.
  > sched: Fix build failure on native Windows (regression from 2017-06-19).
  > autoupdate
  > stdioext: Port to OpenVMS.
  > glob: Declare variables at the very start of their scope.
  > logbl: Work around a glibc bug on PowerPC64LE.
  > stat, fstat: Compile stat-w32.c only on platforms that need it.
  > stat: Improve last change.
  > stat: port to xlc 12.01
  > xalloc-oversized: port to icc
  > classpath: Avoid including config.h twice, as it produces warnings.
  > sched: Fix compilation failure on OpenVMS.
  > diffseq: port to GCC 7 with --enable-gcc-warnings
  > gettext-h: Update theoretical condition for use of variable size arrays.
  > Relicense some modules under LGPLv2+.
  > localename: Fix test failure on DragonFly BSD.
  > float: Fix 'float' and 'isinf' failures on DragonFly BSD.
  > float: Fix 'float' and 'isinf' failures on DragonFly BSD.
  > gnulib-tool: Clean up after autotools.
  > getopt-posix: port to glibc 2.25.90
  > strtod-obsolete: Fix license.
  > maint: update to work with GCC7's -Werror=3Dimplicit-fallthrough=3D
  > host-cpu-c-abi: Support for aarch64 ILP32 ABI.
  > * doc/build-automation.texi: Mention DEPENDENCIES.
  > doc: remove robots, add prereqs
  > gnulib-tool: Fix bug in func_symlink_if_changed, from 2006-11-13.
  > gnulib-tool: Fix bug in func_ln_s, from 2016-01-15.
  > canonicalize-lgpl: Avoid conflict with gnulib 'getcwd' module on VMS.
  > autoupdate
  > same-inode: port better to VMS 8.2 and later
  > error: fix POSIX violation for va_end
  > autoupdate
  > c-strtod: Make it usable in C++ mode.
  > quotearg: fix compilation failure due to FALLTHROUGH misuse
  > intprops: port to recent icc
  > iconv.m4 sync broken
  > iconv: Update copyright year.
  > Fix ChangeLog formatting.
  > Remove repeated words in comments.
  > fallthrough: reinstate a FALLTHROUGH instance in quotearg
  > gnulib-tool: Add options to create hard links.
  > argp: Simplify bit manipulation.
  > Avoid wrong configure results with gcc -fsanitize=3Daddress.
  > gnulib-tool: Don't create hard links between gnulib and its testdirs.
  > argp, tsearch tests: Fix file list.
  > getopt-posix tests: Remove redundant include.
  > dfa: two small simplifications
  > fallthrough: update for GCC 7/8
  > argp: fix shift bug
  > argp: fix pointer-subtraction bug
  > printf-posix tests: Avoid test failure with "gcc --coverage".
  > closeout: don=E2=80=99t close stderr when sanitizing
  > get-rusage-data tests: Avoid failure on Linux/glibc.
  > localename: Include necessary header files on Cygwin.
  > gettext: Update macros from gettext git.
  > copy-file tests: Fix link error (regression from 2017-05-01).
  > unicase/special-casing: Fix incompatibility with gperf-3.0.4.
  > README: Don't ask people to read a TeXinfo file.
  > parse-datetime: Fix memleak
  > javacomp: Fix handle leak.
  > relocate: Make it easier to reclaim allocated memory.
  > relocate: Simplify EMX specific code.
  > sigpipe tests: Fix file list.
  > manywarnings: update for GCC 7
  > gnulib-tool: Fix generated code when libtests contains module 'alloca'.
  > sys_select: Avoid "was expanded before it was required" warning.
  > autoupdate
  > gnulib-tool: improve GNU Make debugging
  > stat-time tests: Improve comment.
  > same-inode: Adapt for windows-stat-inodes.
  > windows-stat-inodes: New module.
  > stat-time tests: Workaround for native Windows.
  > stat-time: Adapt for windows-stat-timespec.
  > maint.mk: update regex to reflect 2013 addition of "assume" to verify.h
  > Use symbolic values for _WIN32_WINNT.
  > year2038: New module.
  > largefile: Simplify.
  > largefile: Improve and document.
  > truncate-tests: New module.
  > truncate: New module.
  > windows-stat-timespec: New module.
  > windows-stat-override: New module.
  > fstat: Fix module dependency conditions.
  > stat, fstat: Complete removal of old native Windows code.
  > stat: Complete removal of REPLACE_FUNC_STAT_DIR code.
  > autoupdate
  > getopt-posix: port to mingw
  > gettimeofday: Increase precision on mingw.
  > poll: Fix confusion between SOCKETs and FDs on native Windows.
  > autoupdate
  > doc: Clarify doc about socket functions on native Windows.
  > poll: Fix link error on native Windows.
  > time: Fix missing initialization of HAVE_TIMEZONE_T.
  > Implement a way to opt out from MSVC support, part 2.
  > Implement a way to opt out from MSVC support.
  > wait-process: Adjust native Windows support.
  > doc: New chapter "Native Windows Support".
  > doc: Move section "Library version handling".
  > doc: Move section "Running self-tests under valgrind".
  > doc: New chapter "Build Infrastructure Modules".
  > Prepare for reordering sections in the manual.
  > Fix instructions how to update manual on www.gnu.org.
  > tzset: Expand comment about TZ problem on native Windows.
  > intprops: don=E2=80=99t depend on =E2=80=98verify=E2=80=99
  > utimens: On native Windows, support 100ns resolution also if fd < 0.
  > utimens: Improve error code on native Windows.
  > utime: Handle more Windows error codes.
  > crypto/rijndael: Fix "strict-aliasing rules" warnings, alignment issues.
  > wctype-h-c++-tests: Update.
  > wchar-c++-tests: Update.
  > utime-h-c++-tests: New module.
  > unistd-c++-tests: Update.
  > time-c++-tests: Update.
  > sys_resource-c++-tests: New module.
  > strings-c++-tests: New module.
  > string-c++-tests: Update.
  > stdlib-c++-tests: Update.
  > stdio-c++-tests: Update.
  > signal-h-c++-tests: Update.
  > math-c++-tests: Update.
  > locale-c++-tests: Update.
  > inttypes-c++-tests: New module.
  > dirent-c++-tests: Update.
  > argp: Fix mistake in 2017-04-23 commit.
  > argp: Fix typo.
  > utimens: port to Emacs + MS-Windows
  > tzset: update doc for TZ problems on MS-Windows
  > copy-file: Fix build error on mingw.
  > Fix recent ChangeLog entry.
  > tzset: Work around TZ problem on native Windows.
  > mktime: Fix dependencies.
  > New module 'localtime-buffer', split off from module 'gettimeofday'.
  > copy-file: Preserve sub-second time stamps.
  > wctype: Fix problems if <wchar.h> gets included after <wctype.h>.
  > wchar: Fix compilation error with the original mingw.org mingw.
  > utimecmp: Add support for native Windows.
  > utimens: Add support for native Windows.
  > wcsftime: New module.
  > strftime-fixes: New module.
  > mktime: Work around TZ problem on native Windows.
  > localtime: New module.
  > ctime: New module.
  > gettimeofday: Provide higher resolution on native Windows.
  > Document the problem with the Cygwin environment variable TZ.
  > utime-tests: New module.
  > utime: New module.
  > utime-h: Modernize handling of 'struct utimbuf'.
  > Make use of module 'utime-h'.
  > utime-h: New module.
  > Fix a few typos.
  > error: Fix mistake in 2017-04-23 commit.
  > stat: Fix time_t values and other problems on native Windows platforms.
  > fstat: Fix time_t values on native Windows platforms.
  > getopt: port to Solaris 10 with circa-1997 glibc getopt.h
  > strerror_r-posix: Fixes for MSVC 14.
  > noreturn: New module.
  > wctype-h: Fix compilation error with the original mingw.org mingw.
  > nap.h: Fix compilation on non windows platforms
  > time_rz: fix heap buffer overflow vulnerability
  > xalloc: add missing integer overflow check
  > parse-datetime: make it standalone
  > nap.h: Port to native Windows.
  > nap.h: Fix logic.
  > Fix conflict between strerror_r-posix module and AC_FUNC_STRERROR_R.
  > strerror_r-posix: Revert commits from 2016-10-16,2016-11-04,2016-11-14.
  > Target a C99 subset, not a C89 subset
  > doc: New section "Modules that modify the way other modules work".
  > stat-time: Update comments.
  > glob: Fix more memory leaks.
  > poll: improve fast check for out-of-range NFD
  > ftoastr: cite a newer paper
  > poll: Enable argument check also in the Windows implementation.
  > getlogin_r: Work around bug in Mac OS X 10.12.
  > parse-datetime: fix %z and prefer signed int
  > *printf: Work around rounding bug on Mac OS X.
  > vasnprintf tests: Avoid warnings.
  > sys_file tests: Avoid warning.
  > sethostname: Update doc.
  > quotearg tests: Avoid warnings.
  > poll: Enable argument check.
  > get-rusage-data: Avoid warnings on Mac OS X.
  > xbinary-io: Fix build error.
  > parse-datetime: overflow and debug cleanups
  > gettext-h: Avoid -Wundef warning.
  > error: Avoid "function declaration isn't a prototype" warning.
  > vasnprintf: Fix for MSVC 14.
  > mbrtowc tests: Fix test failures on MSVC 14.
  > mbsinit: Fix for MSVC 14.
  > Fix test-mbrtowc5.sh failure on native Windows.
  > Avoid accidental use of native Windows APIs on Cygwin.
  > Remove red warnings from the generated MODULES.html.
  > verify tests: Fix spurious failure with parallel make.
  > vma-iter: Fix compilation error on Solaris 7.
  > vma-iter: Fix conflict with module 'largefile' on 32-bit Solaris 9.
  > getopt-gnu: Add comments.
  > regex: port better to Solaris 10
  > autoupdate
  > intprops: improve comments
  > intprops: fix comment typo
  > intprops: try to avoid tickling similar bugs
  > intprops: port to Oracle Studio 12.3 x86
  > getopt: prefer - to _ in new file names
  > getopt: port recent getopt changes to macOS
  > getopt-gnu: omit some duplicate code
  > getopt-posix: use angle-bracket include
  > getopt: annotate files with relationship to glibc
  > getopt: split up getopt.in.h and eliminate __need_getopt
  > getopt: better handling of ambiguous options
  > getopt: refactor long-option handling
  > getopt: tidy up _getopt_initialize a bit
  > getopt: merge from glibc: repetition reduction
  > getopt: clean up error reporting
  > getopt: fix fencepost error in ambiguous-W-option handling
  > getopt: clean up getopt.c and getopt1.c file headers
  > getopt: harmonize comments with glibc
  > getopt: remove USE_NONOPTION_FLAGS
  > getopt: tabify, in preparation for merge with glibc
  > relocatable-lib-lgpl: Fix link error (regression from 2011-06-16).
  > autoupdate
  > glob: Fix invalid free() call.
  > glob: Fix memory leaks.
  > md5, sha1, sha256, sha512: Add comments regarding correctness.
  > autoupdate
  > users.txt: add grub link
  > getopt: merge from glibc
  > dfa: make [0-9] faster in non-C locales
  > autoupdate
  > lock: Fix compilation error with HP-UX IA64 cc.
  > stdalign: tweak version# and test for HP-UX IA64
  > vma-iter: Add support for Solaris.
  > vma-iter: Prefer HP-UX specific API on HP-UX.
  > stdalign: restore previous behavior for HP-UX IA64
  > stat-time, timespec: Support use of the header files in C++ mode.
  > stdalign: Make it work with HP-UX cc.
  > flexmember: try to detect HP-UX 11.31 cc bug
  > stdint: Fix test compilation failure with HP-UX 11 cc.
  > gnulib-tool: Don't produce a tests directory with only snippet .h files.
  > vma-iter: Add support for HP-UX.
  > limits-h: Make it work with HP-UX cc.
  > Fix test failures on DragonFlyBSD.
  > freadahead: Silence warning on DragonFlyBSD.
  > vma-iter: Add comment about AIX.
  > snippets: move unadjusted snippet sources to lib
  > gnulib-tool: don't automatically distribute files from top/
  > users.txt: Update link to libvirt's repo
  > gnulib-tool: fix typo in comment output
  > snippets: work around GNU Make 3.82 VPATH
  > gnulib-tool: minor --gnu-make fixups
  > gnulib-tool: new option --gnu-make
  > gnulib-common.m4: avoid aclocal.m4 bloat
  > vma-iter: Let callers know about error.
  > parse-datetime: remove extraneous generated source file
  > autoupdate
  > autoupdate
  > autoupdate
  > Fix value of LD for 64-bit compilers on AIX.
  > autoupdate
  > dtotimespec: simplify
  > test-calloc-gnu: Reenable test also for GCC 7.
  > test-calloc-gnu: port to GCC7
  > tests: Avoid compiler warning about uses of null_ptr.
  > doc: Mention Mac OS X deficiencies regarding semaphores.
  > lock tests: Fix test failure on Mac OS X (regression from 2017-01-05).
  > perror tests: Tweak for z/OS.
  > nproc: Refactor large function.
  > nproc: adjust handling of OpenMP environment variables
  > nproc: support nested OMP_NUM_THREADS, and OMP_THREAD_LIMIT
  > maintainer-makefile: Fix AC_PROG_SED with autoconf cache.
  > ftoastr: port to -Wdouble-promotion
  > lock tests: Fix build failure on GNU/Hurd (regression from 2017-01-05).
  > lock tests: Fix build failure on z/OS.
  > havelib: Prefer the search path of /usr/bin/gcc over the one of $CC.
  > havelib: Support overriding the result of AC_LIB_PREPARE_MULTILIB.
  > gnulib-tool: Avoid conflict of havelib-tests with --single-configure.
  > users.txt: Update links, use HTTPS where possible
  > xbinary-io: Fix inlining.
  > xbinary-io: rename from xsetmode
  > tests: Adjust to recent SET_BINARY change
  > xsetmode: new module
  > headers: fix begin-end typos
  > selinux-h: port to PGI 16.10
  > argp: port to PGI 16.10
  > unicase: Update function protoype to match definition
  > times test: Avoid gcc warnings on Linux/x32.
  > glob: port better to emscripten
  > host-cpu-c-abi: Support for 64-bit AIX, 32-bit armhf on arm64, hppa64.
  > search: Don't assume that tsearch() exists if 'VISIT' is defined.
  > doc: Don't mention obsolete AC_LIBTOOL_WIN32_DLL macro.
  > stddef-tests: port to SIZE_MAX <=3D INT_MAX
  > autoupdate
  > lock tests: Fix link error.
  > lock: Fix link error (regression from 2017-01-05).
  > Port to PGI 16.10 x86-64
  > parse-datetime: handle timezones reentrantly
  > time_rz: fix comment typo
  > localename: port to cygwin 2.6
  > users.txt: Update wget URL (tiny change)
  > users.txt: Add wget2 (tiny change)
  > dfa: fix memory leak in parse
  > parse-datetime: fix dependence on AC_PROG_SED
  > intprops: update doc URLs
  > host-cpu-c-abi: Add support for armhf, arm64, x32, s390x.
  > update from texinfo
  > localeinfo: case_folded_counterparts and WEOF
  > dfa: port to gcc -fsanitize=3Dundefined
  > strftime: %z is -00 if unknown
  > dfa: port to older GCC
  > Update DEPENDENCIES.
  > maint.mk: enforce spelling of "timestamp" (i.e., no space)
  > dfa: minor simplification with emptyset
  > dfa: shrink constraints from 4 bits to 3
  > dfa: omit unnecessary ptrdiff_t check
  > dfa: omit unnecessary allocation
  > dfa: omit unused local
  > maint: time stamp -> timestamp
  > maint: remove stray .texi files
  > getprogname: fix port to IRIX
  > dfa: melt down dfastate into build_state
  > dfa: simplify transition table allocation
  > dfa: fix reallocation bug when matching newlines
  > Avoid -Wundef warning about undefined WINDOWS_SOCKETS.
  > Avoid -Wundef warning about undefined __USE_FILE_OFFSET64.
  > stdioext: Port to Minix 3.2 and newer.
  > getprogname: port to IRIX
  > localename-tests: port to NetBSD 7
  > glob, intprops, xalloc: work around Clang bug
  > dfa: fix 'return' typo
  > lock tests: Prefer semaphore over mutex.
  > parse-datetime: fix generated paths for coverage files
  > maint.mk: support parallel execution of coverage
  > lock: Provide guarantee to avoid writer starvation for rwlocks.
  > thread: Fix pth port.
  > parse-datetime: fix debug message on lone year number
  > parse-datetime: fix local timezone debug messages
  > parse-datetime: add debug warning about DST changes
  > parse-datetime: add debug warning about date arithmetic
  > parse-datetime: fix debug message of relative part after timezone
  > parse-datetime: fix incorrect debug message on lone number
  > exec
  > build-aux/mdate-sh
  > doc: fix typo in previous change
  > Revert copyright-year change to synced files
  > doc: modernize for C11 etc.
  > dfa: prefer functions to FETCH_WC macro
  > dfa: narrow more local var scopes
  > dfa: remove duplicate assignment
  > dfa: simplify constraint-dependency checking
  > dfa: prefer functions and constants to macros
  > dfa: narrow more local var scopes
  > dfa: narrow the scope of many local variables
  > gettext from dev




Acknowledgement sent to Jim Meyering <jim@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#29033; Package gzip. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.